#
# spec file for package ImageMagick
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%define debug_build   0
%define asan_build    0
%define config_dir     ImageMagick
%define config_spec    config-6
Name:           ImageMagick

BuildRequires:  autoconf >= 2.69
BuildRequires:  dcraw
BuildRequires:  fdupes
BuildRequires:  freetype2-devel
BuildRequires:  gcc-c++
BuildRequires:  ghostscript-fonts-other
BuildRequires:  ghostscript-fonts-std
BuildRequires:  ghostscript-library
BuildRequires:  libbz2-devel
BuildRequires:  libdjvulibre-devel
BuildRequires:  libexif-devel
BuildRequires:  libjasper-devel
BuildRequires:  libjpeg-devel
BuildRequires:  liblcms2-devel
BuildRequires:  librsvg-devel
BuildRequires:  libtiff-devel >= 4.0.3
BuildRequires:  libtool
BuildRequires:  libwebp-devel
BuildRequires:  libwmf-devel
BuildRequires:  libxml2-devel
BuildRequires:  lzma-devel
BuildRequires:  openexr-devel
BuildRequires:  pango-devel
BuildRequires:  pkgconfig

%define maj           6
%define mfr_version   %{maj}.8.8
%define mfr_revision  1
%define quantum_depth 16
%define source_version %{mfr_version}-%{mfr_revision}
%define clibver   1
%define cxxlibver 3
%define libspec -%{maj}_Q%{quantum_depth}
Version:        %{mfr_version}.%{mfr_revision}
Release:        85.1
Summary:        Viewer and Converter for Images
License:        ImageMagick
Group:          Productivity/Graphics/Other
Url:            http://www.imagemagick.org
Source:         http://www.imagemagick.org/download/ImageMagick-%{source_version}.tar.xz
# To get mtime of file
Source1:        ImageMagick.changes
Source2:        baselibs.conf
Source3:        http://www.imagemagick.org/download/ImageMagick-%{source_version}.tar.xz.asc
Source4:        ImageMagick.keyring
# suse specific patches
Patch0:         ImageMagick-6.6.8.9-examples.patch
Patch1:         ImageMagick-6.6.8.9-doc.patch
Patch2:         ImageMagick-6.7.6.1-no-dist-lzip.patch
Patch3:         ImageMagick-6.8.4.0-rpath.patch
# workaround for http://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=23462
# upstream insists on XPMCompliance, so leaving this for compatibility reasons
Patch4:         ImageMagick-6.8.5.7-no-XPMCompliance.patch
# bugs
# will ask upstream if needed, or if other solution exists
Patch11:        ImageMagick-6.8.4.0-dont-build-in-install.patch
Patch12:        disable_mat_test.patch
Patch13:        ImageMagick-6.8.8.1-display-stdin.patch
Patch14:        ImageMagick-CVE-2014-8562.patch
Patch15:        ImageMagick-CVE-2014-8355.patch
Patch16:        ImageMagick-CVE-2014-8354.patch
Patch17:        ImageMagick-CVE-2014-8716.patch
Patch18:        ImageMagick-pdf-img-compression.patch
Patch19:        ImageMagick-pdf-title-encoding.patch
Patch20:        ImageMagick-configuration-SUSE.patch
Patch21:        ImageMagick-CVE-2016-5118.patch
Patch22:        ImageMagick-CVE-2015-8902.patch
Patch23:        ImageMagick-CVE-2015-8901.patch
Patch24:        ImageMagick-CVE-2015-8903.patch
Patch25:        ImageMagick-CVE-2015-8900.patch
Patch26:        ImageMagick-CVE-2016-4562,4563,4564.patch
Patch27:        ImageMagick-CVE-2014-9846.patch
Patch28:        ImageMagick-CVE-2015-8894.patch
Patch29:        ImageMagick-CVE-2015-8895.patch
Patch30:        ImageMagick-CVE-2015-8896.patch
Patch31:        ImageMagick-CVE-2015-8897.patch
Patch32:        ImageMagick-CVE-2015-8898.patch
Patch33:        ImageMagick-CVE-2014-9805.patch
Patch34:        ImageMagick-CVE-2014-9806.patch
Patch35:        ImageMagick-CVE-2014-9807.patch
Patch36:        ImageMagick-CVE-2014-9808.patch
Patch37:        ImageMagick-CVE-2014-9809.patch
Patch38:        ImageMagick-CVE-2014-9810.patch
Patch39:        ImageMagick-CVE-2014-9821.patch
Patch40:        ImageMagick-CVE-2014-9849.patch
Patch41:        ImageMagick-CVE-2014-9836.patch
Patch42:        ImageMagick-CVE-2014-9828.patch
Patch43:        ImageMagick-CVE-2014-9813.patch
Patch44:        ImageMagick-CVE-2014-9830.patch
Patch45:        ImageMagick-CVE-2014-9811.patch
Patch46:        ImageMagick-CVE-2014-9812.patch
Patch47:        ImageMagick-CVE-2014-9819.patch
Patch48:        ImageMagick-CVE-2014-9847.patch
Patch49:        ImageMagick-CVE-2014-9835,9831.patch
Patch50:        ImageMagick-CVE-2014-9850.patch
Patch51:        ImageMagick-CVE-2014-9820.patch
Patch52:        ImageMagick-CVE-2014-9851.patch
Patch53:        ImageMagick-CVE-2014-9837.patch
Patch54:        ImageMagick-CVE-2014-9841.patch
Patch55:        ImageMagick-CVE-2014-9843.patch
Patch56:        ImageMagick-CVE-2014-9818,9826,9829.patch
Patch57:        ImageMagick-CVE-2014-9832.patch
Patch58:        ImageMagick-CVE-2014-9854.patch
Patch59:        ImageMagick-CVE-2014-9824.patch
Patch60:        ImageMagick-CVE-2014-9822.patch
Patch61:        ImageMagick-CVE-2014-9852.patch
Patch62:        ImageMagick-CVE-2014-9814.patch
Patch63:        ImageMagick-CVE-2014-9838.patch
Patch64:        ImageMagick-CVE-2014-9815.patch
Patch65:        ImageMagick-CVE-2014-9844.patch
Patch66:        ImageMagick-CVE-2014-9842.patch
Patch67:        ImageMagick-CVE-2014-9839.patch
Patch68:        ImageMagick-CVE-2014-9845.patch
Patch69:        ImageMagick-CVE-2014-9816.patch
Patch70:        ImageMagick-CVE-2014-9817.patch
Patch71:        ImageMagick-CVE-2014-9823.patch
Patch72:        ImageMagick-CVE-2014-9848.patch
Patch73:        ImageMagick-CVE-2014-9833,9825.patch
Patch74:        ImageMagick-CVE-2014-9853.patch
Patch75:        ImageMagick-CVE-2014-9840.patch
Patch76:        ImageMagick-CVE-2014-9834.patch
Patch77:        ImageMagick-CVE-2016-5688.patch
Patch78:        ImageMagick-CVE-2016-5687,CVE-2015-8959,CVE-2014-9907.patch
Patch79:        ImageMagick-CVE-2016-5691.patch
Patch80:        ImageMagick-CVE-2016-5690.patch
Patch81:        ImageMagick-CVE-2016-5689.patch
Patch82:        ImageMagick-CVE-2016-5842.patch
Patch83:        ImageMagick-CVE-2016-5841.patch
Patch84:        ImageMagick-CVE-2016-6520.patch
Patch85:        ImageMagick-CVE-2016-5010.patch
Patch86:        ImageMagick-CVE-2016-6491.patch
Patch87:        ImageMagick-CVE-2016-7540.patch
Patch88:        ImageMagick-CVE-2016-7529.patch
Patch89:        ImageMagick-CVE-2016-7530.patch
Patch90:        ImageMagick-CVE-2016-7528.patch
Patch91:        ImageMagick-CVE-2016-7513.patch
Patch92:        ImageMagick-CVE-2016-7526.patch
Patch93:        ImageMagick-CVE-2016-7527.patch
Patch94:        ImageMagick-CVE-2016-7514.patch
Patch95:        ImageMagick-CVE-2016-7515.patch
Patch96:        ImageMagick-CVE-2015-8957.patch
Patch97:        ImageMagick-CVE-2015-8958,CVE-2016-7518.patch
Patch98:        ImageMagick-CVE-2016-7516.patch
Patch99:        ImageMagick-CVE-2016-7517.patch
Patch100:       ImageMagick-CVE-2016-7519.patch
Patch101:       ImageMagick-CVE-2016-7520.patch
Patch102:       ImageMagick-CVE-2016-7521.patch
Patch103:       ImageMagick-CVE-2016-7522.patch
Patch104:       ImageMagick-CVE-2016-7523.patch
Patch105:       ImageMagick-CVE-2016-7524,7800.patch
Patch106:       ImageMagick-CVE-2016-7525.patch
Patch107:       ImageMagick-CVE-2016-7531.patch
Patch108:       ImageMagick-CVE-2016-7532.patch
Patch109:       ImageMagick-CVE-2016-7533.patch
Patch110:       ImageMagick-CVE-2016-7534.patch
Patch111:       ImageMagick-CVE-2016-7535.patch
Patch112:       ImageMagick-CVE-2016-7537.patch
Patch113:       ImageMagick-CVE-2016-7538.patch
Patch114:       ImageMagick-CVE-2016-7539.patch
Patch115:       ImageMagick-CVE-2016-6823.patch
Patch116:       ImageMagick-CVE-2016-7101.patch
Patch117:       ImageMagick-write-tiff-div-by-zero.patch
Patch118:       ImageMagick-buffer-overflow-pdb,map,tiff.patch
Patch119:       ImageMagick-CVE-2016-7799.patch
Patch120:       ImageMagick-CVE-2016-7996,7997.patch
Patch121:       ImageMagick-CVE-2016-8684.patch
Patch122:       ImageMagick-CVE-2016-8682.patch
Patch123:       ImageMagick-CVE-2016-8683.patch
Patch124:       ImageMagick-CVE-2016-8677.patch
Patch125:       ImageMagick-CVE-2016-8862.patch
Patch126:       ImageMagick-CVE-2016-9556.patch
Patch127:       ImageMagick-CVE-2016-9559.patch
Patch128:       ImageMagick-CVE-2016-8866.patch
Patch129:       ImageMagick-CVE-2016-8707.patch
Patch130:       ImageMagick-CVE-2016-10049.patch
Patch131:       ImageMagick-CVE-2016-10050.patch
Patch132:       ImageMagick-CVE-2016-10051.patch
Patch133:       ImageMagick-CVE-2016-10052.patch
Patch134:       ImageMagick-CVE-2016-10144.patch
Patch135:       ImageMagick-CVE-2016-10145.patch
Patch136:       ImageMagick-CVE-2017-5506.patch
Patch137:       ImageMagick-CVE-2016-10059.patch
Patch138:       ImageMagick-CVE-2016-10046.patch
Patch139:       ImageMagick-CVE-2016-10048.patch
Patch140:       ImageMagick-CVE-2017-5508.patch
Patch141:       ImageMagick-CVE-2016-10146.patch
Patch142:       ImageMagick-CVE-2016-10063.patch
Patch143:       ImageMagick-CVE-2017-5510.patch
Patch144:       ImageMagick-CVE-2016-10065.patch
Patch145:       ImageMagick-CVE-2017-5511.patch
Patch146:       ImageMagick-CVE-2016-10060.patch
Patch147:       ImageMagick-CVE-2016-10061.patch
Patch148:       ImageMagick-CVE-2016-10062.patch
Patch149:       ImageMagick-CVE-2016-10064.patch
Patch150:       ImageMagick-CVE-2016-10068.patch
Patch151:       ImageMagick-CVE-2016-10069.patch
Patch152:       ImageMagick-CVE-2016-10070.patch
Patch153:       ImageMagick-CVE-2016-10071.patch
Patch154:       ImageMagick-CVE-2017-5507.patch
Patch155:       ImageMagick-CVE-2017-6502.patch
Patch156:       ImageMagick-CVE-2017-7943.patch
Patch157:       ImageMagick-CVE-2017-7942.patch
Patch158:       ImageMagick-CVE-2017-7941.patch
Patch159:       ImageMagick-CVE-2017-8344.patch
Patch160:       ImageMagick-CVE-2017-8345,8350.patch
Patch161:       ImageMagick-CVE-2017-8346.patch
Patch162:       ImageMagick-CVE-2017-8357.patch
Patch163:       ImageMagick-CVE-2017-8343.patch
Patch164:       ImageMagick-CVE-2017-8347.patch
Patch165:       ImageMagick-CVE-2017-8348.patch
Patch166:       ImageMagick-CVE-2017-8349.patch
Patch167:       ImageMagick-CVE-2017-8351.patch
Patch168:       ImageMagick-CVE-2017-8352.patch
Patch169:       ImageMagick-CVE-2017-8353.patch
Patch170:       ImageMagick-CVE-2017-8354.patch
Patch171:       ImageMagick-CVE-2017-8355.patch
Patch172:       ImageMagick-CVE-2017-8356.patch
Patch173:       ImageMagick-CVE-2017-7606.patch
Patch174:       ImageMagick-CVE-2017-8765.patch
Patch175:       ImageMagick-CVE-2017-8830.patch
Patch176:       ImageMagick-CVE-2017-9098.patch
Patch177:       ImageMagick-CVE-2017-9143.patch
Patch178:       ImageMagick-CVE-2017-9142.patch
Patch179:       ImageMagick-CVE-2017-9141.patch
Patch180:       ImageMagick-CVE-2017-9144.patch
Patch181:       ImageMagick-CVE-2017-9440.patch
Patch182:       ImageMagick-CVE-2017-9439.patch
Patch183:       ImageMagick-CVE-2017-9501.patch
Patch184:       ImageMagick-CVE-2017-11403.patch
Patch185:       ImageMagick-CVE-2017-15033.patch
Patch186:       ImageMagick-CVE-2017-13139.patch
Patch187:       ImageMagick-CVE-2017-13133.patch
Patch188:       ImageMagick-CVE-2017-12428,12431,11534.patch
Patch189:       ImageMagick-CVE-2017-11446.patch
Patch190:       ImageMagick-CVE-2017-12433.patch
Patch191:       ImageMagick-CVE-2017-11523.patch
Patch192:       ImageMagick-CVE-2017-14173.patch
Patch193:       ImageMagick-CVE-2017-12587.patch
Patch194:       ImageMagick-CVE-2017-12435.patch
Patch195:       ImageMagick-CVE-2017-14531.patch
Patch196:       ImageMagick-CVE-2017-12983.patch
Patch197:       ImageMagick-CVE-2017-15930.patch
Patch198:       ImageMagick-CVE-2017-11478.patch
Patch199:       ImageMagick-CVE-2017-15217.patch
Patch200:       ImageMagick-CVE-2017-13134.patch
Patch201:       ImageMagick-CVE-2017-13769.patch
Patch202:       ImageMagick-CVE-2017-14138.patch
Patch203:       ImageMagick-CVE-2017-14175.patch
Patch204:       ImageMagick-CVE-2017-14342.patch
Patch205:       ImageMagick-CVE-2017-14341.patch
Patch206:       ImageMagick-CVE-2017-16546.patch
Patch207:       ImageMagick-CVE-2017-16545.patch
Patch208:       ImageMagick-CVE-2017-16669,17682.patch
Patch209:       ImageMagick-CVE-2017-14607.patch
Patch210:       ImageMagick-CVE-2017-11640.patch
Patch211:       ImageMagick-unable-to-read-font-memory-leaks.patch
Patch212:       ImageMagick-CVE-2017-14682.patch
Patch213:       ImageMagick-CVE-2017-14989.patch
Patch214:       ImageMagick-CVE-2017-11188.patch
Patch215:       ImageMagick-CVE-2017-11527.patch
Patch216:       ImageMagick-CVE-2017-12140,12644.patch
Patch217:       ImageMagick-CVE-2017-11535.patch
Patch218:       ImageMagick-CVE-2017-14172.patch
Patch219:       ImageMagick-CVE-2017-12662.patch
Patch220:       ImageMagick-CVE-2017-11752.patch
Patch221:       ImageMagick-CVE-2017-12669.patch
Patch222:       ImageMagick-CVE-2017-14733.patch
Patch223:       ImageMagick-CVE-2017-15277.patch
Patch224:       ImageMagick-CVE-2017-13062.patch
Patch225:       ImageMagick-CVE-2017-15281.patch
Patch226:       ImageMagick-CVE-2017-13061.patch
Patch227:       ImageMagick-CVE-2017-12563.patch
Patch228:       ImageMagick-CVE-2017-14174.patch
Patch229:       ImageMagick-CVE-2017-14042.patch
Patch230:       ImageMagick-CVE-2017-14343,12691.patch
Patch231:       ImageMagick-CVE-2017-11751.patch
Patch232:       ImageMagick-CVE-2017-17680,17882.patch
Patch233:       ImageMagick-CVE-2017-1000445.patch
Patch234:       ImageMagick-CVE-2017-9409.patch
Patch235:       ImageMagick-CVE-2017-11449.patch
Patch236:       ImageMagick-CVE-2017-12430,12429.patch
Patch237:       ImageMagick-CVE-2017-12642.patch
Patch238:       ImageMagick-CVE-2017-14249.patch
Patch239:       ImageMagick-CVE-2017-1000476.patch
Patch240:       ImageMagick-mat.c-update.patch
Patch241:       ImageMagick-CVE-2018-5247.patch
Patch242:       ImageMagick-CVE-2017-18022.patch
Patch243:       ImageMagick-CVE-2018-5246.patch
Patch244:       ImageMagick-CVE-2017-9262.patch
Patch245:       ImageMagick-CVE-2017-9261.patch
Patch246:       ImageMagick-CVE-2017-10995.patch
Patch247:       ImageMagick-CVE-2017-11539.patch
Patch248:       ImageMagick-CVE-2017-11505,11526.patch
Patch249:       ImageMagick-CVE-2017-12565,12641.patch
Patch250:       ImageMagick-CVE-2017-11750,12676,12643.patch
Patch251:       ImageMagick-CVE-2017-12673.patch
Patch252:       ImageMagick-CVE-2017-12671,13141.patch
Patch253:       ImageMagick-CVE-2017-12640.patch
Patch254:       ImageMagick-CVE-2017-13059.patch
Patch255:       ImageMagick-CVE-2017-13142.patch
Patch256:       ImageMagick-CVE-2017-15218.patch
Patch257:       ImageMagick-CVE-2017-17504.patch
Patch258:       ImageMagick-CVE-2017-17884.patch
Patch259:       ImageMagick-CVE-2017-17879.patch
Patch260:       ImageMagick-CVE-2017-17914.patch
Patch261:       ImageMagick-png.c-other-fixes.patch
Patch262:       ImageMagick-CVE-2017-11525.patch
Patch263:       ImageMagick-CVE-2017-11639.patch
Patch264:       ImageMagick-CVE-2018-5685.patch
Patch265:       ImageMagick-CVE-2017-18008.patch
Patch266:       ImageMagick-CVE-2017-17681.patch
Patch267:       ImageMagick-CVE-2017-18028.patch
Patch268:       ImageMagick-CVE-2017-12665.patch
Patch269:       ImageMagick-CVE-2017-12654.patch
Patch270:       ImageMagick-CVE-2017-17885.patch
Patch271:       ImageMagick-CVE-2017-12418.patch
Patch272:       ImageMagick-CVE-2017-9407.patch
Patch273:       ImageMagick-CVE-2017-11537.patch
Patch274:       ImageMagick-CVE-2017-12664.patch
Patch275:       ImageMagick-histogram.c-update.patch
Patch276:       ImageMagick-CVE-2017-12432.patch
Patch277:       ImageMagick-CVE-2017-12668.patch
Patch278:       ImageMagick-CVE-2017-14224.patch
Patch279:       ImageMagick-CVE-2017-13058,CVE-2018-18016.patch
Patch280:       ImageMagick-CVE-2017-11450.patch
Patch281:       ImageMagick-CVE-2017-11448.patch
Patch282:       ImageMagick-CVE-2018-5357.patch
Patch283:       ImageMagick-CVE-2018-6405,11656.patch
Patch284:       ImageMagick-psd.c-update.patch
Patch285:       ImageMagick-CVE-2017-14060.patch
Patch286:       ImageMagick-CVE-2017-11170.patch
Patch287:       ImageMagick-CVE-2017-12674.patch
Patch288:       ImageMagick-CVE-2017-11166.patch
Patch289:       ImageMagick-CVE-2017-13131.patch
Patch290:       ImageMagick-CVE-2017-11638,11642.patch
Patch291:       ImageMagick-CVE-2017-12566.patch
Patch292:       ImageMagick-CVE-2017-12427.patch
Patch293:       ImageMagick-CVE-2017-14139.patch
Patch294:       ImageMagick-CVE-2017-17934.patch
Patch295:       ImageMagick-CVE-2017-12663.patch
Patch296:       ImageMagick-CVE-2017-11533.patch
Patch297:       ImageMagick-CVE-2017-11530.patch
Patch298:       ImageMagick-CVE-2017-11528.patch
Patch299:       ImageMagick-CVE-2017-9405.patch
Patch300:       ImageMagick-CVE-2017-14739.patch
Patch301:       ImageMagick-CVE-2017-12693.patch
Patch302:       ImageMagick-CVE-2017-12692.patch
Patch303:       ImageMagick-CVE-2017-15017.patch
Patch304:       ImageMagick-CVE-2017-15016.patch
Patch305:       ImageMagick-CVE-2018-7443.patch
Patch306:       ImageMagick-CVE-2018-7470.patch
Patch307:       ImageMagick-CVE-2017-14314.patch
Patch308:       ImageMagick-CVE-2017-16352.patch
Patch309:       ImageMagick-CVE-2017-16353.patch
Patch310:       ImageMagick-CVE-2017-13768.patch
Patch311:       ImageMagick-CVE-2017-14505.patch
Patch312:       ImageMagick-CVE-2017-9500.patch
Patch313:       ImageMagick-CVE-2017-18209.patch
Patch314:       ImageMagick-CVE-2017-18211.patch
Patch315:       ImageMagick-CVE-2017-11524.patch
Patch316:       ImageMagick-CVE-2018-8804.patch
Patch317:       ImageMagick-CVE-2017-18251.patch
Patch318:       ImageMagick-CVE-2017-10928.patch
Patch319:       ImageMagick-CVE-2017-18254.patch
Patch320:       ImageMagick-CVE-2017-18250.patch
Patch321:       ImageMagick-CVE-2018-9135.patch
Patch322:       ImageMagick-CVE-2017-18252.patch
Patch323:       ImageMagick-CVE-2018-9018.patch
Patch324:       ImageMagick-CVE-2017-14325.patch
Patch325:       ImageMagick-CVE-2018-8960.patch
Patch326:       ImageMagick-CVE-2018-10177.patch
Patch327:       ImageMagick-CVE-2017-17887.patch
Patch328:       ImageMagick-CVE-2018-9133.patch
Patch329:       ImageMagick-CVE-2017-18271.patch
Patch330:       ImageMagick-CVE-2018-11251.patch
Patch331:       ImageMagick-CVE-2017-13758.patch
Patch332:       ImageMagick-CVE-2018-10804.patch
Patch333:       ImageMagick-CVE-2018-11655.patch
Patch334:       ImageMagick-CVE-2018-10805.patch
Patch335:       ImageMagick-CVE-2018-14434.patch
Patch336:       ImageMagick-CVE-2018-14437.patch
Patch337:       ImageMagick-CVE-2018-14436.patch
Patch338:       ImageMagick-CVE-2018-14435.patch
Patch339:       ImageMagick-CVE-2018-16323.patch
Patch340:       ImageMagick-CVE-2018-16329.patch
Patch341:       ImageMagick-CVE-2018-16412,16413.patch
Patch342:       ImageMagick-CVE-2018-16645.patch
Patch343:       ImageMagick-CVE-2018-16644.patch
Patch344:       ImageMagick-CVE-2018-16643.patch
Patch345:       ImageMagick-CVE-2018-16640.patch
Patch346:       ImageMagick-CVE-2018-16642.patch
Patch347:       ImageMagick-CVE-2018-16749.patch
# update to 6.9.10-11 version state
Patch348:       ImageMagick-meta.c-update.patch
Patch349:       ImageMagick-CVE-2017-11532.patch
Patch350:       ImageMagick-CVE-2018-17966.patch
Patch351:       ImageMagick-CVE-2018-12599.patch
Patch352:       ImageMagick-CVE-2018-12600.patch
Patch353:       ImageMagick-CVE-2018-17965.patch
Patch354:       ImageMagick-CVE-2018-18024.patch
Patch355:       ImageMagick-CVE-2017-14997.patch
Patch356:       ImageMagick-CVE-2018-18544.patch
Patch357:       ImageMagick-improve-import-documentation.patch
Patch358:       ImageMagick-allow-override-system-policy.patch
Patch359:       ImageMagick-CVE-2018-20467.patch
Patch360:       ImageMagick-CVE-2019-7398.patch
Patch361:       ImageMagick-CVE-2019-7395.patch
Patch362:       ImageMagick-CVE-2019-7397.patch
# CVE-2019-7175 [bsc#1128649]
Patch363:       ImageMagick-CVE-2019-7175.patch
# CVE-2019-9956 [bsc#1130330]
Patch364:       ImageMagick-CVE-2019-9956.patch
# CVE-2019-10650 [bsc#1131317]
Patch365:       ImageMagick-CVE-2019-10650.patch
# CVE-2019-11008 [bsc#1132054], CVE-2019-11009 [bsc#1132053], CVE-2019-11472 [bsc#1133204]
Patch366:       ImageMagick-xwd.c-update.patch
# CVE-2019-11007 [bsc#1132060]
Patch367:       ImageMagick-CVE-2019-11007.patch
# CVE-2019-11505 [bsc#1133501]
Patch368:       ImageMagick-CVE-2019-11505.patch
# CVE-2019-11506 [bsc#1133498]
Patch369:       ImageMagick-CVE-2019-11506.patch
# CVE-2019-11470 [bsc#1133205]
Patch370:       ImageMagick-CVE-2019-11470.patch
# CVE-2017-12805 [bsc#1135236]
Patch371:       ImageMagick-CVE-2017-12805.patch
# CVE-2019-11598 [bsc#1136732]
Patch372:       ImageMagick-CVE-2019-11598.patch
# CVE-2019-11597 [bsc#1138464]
Patch373:       ImageMagick-CVE-2019-11597.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%package -n perl-PerlMagick
Requires:       ImageMagick = %{version}
Requires:       libMagickCore%{libspec}-%{clibver} = %{version}
Requires:       perl = %{perl_version}
Summary:        Perl interface for ImageMagick
Group:          Development/Libraries/Perl

%package devel
Requires:       ImageMagick = %{version}
Requires:       libMagickCore%{libspec}-%{clibver} = %{version}
Requires:       libMagickWand%{libspec}-%{clibver} = %{version}
Summary:        Include Files and Libraries Mandatory for Development
Group:          Development/Libraries/C and C++
Requires:       glibc-devel
# bnc#741947:
Requires:       libbz2-devel

%if !%{debug_build}
%package extra
Requires:       ImageMagick = %{version}
Requires:       libMagickCore%{libspec}-%{clibver} = %{version}
Summary:        Viewer and Converter for Images - extra codecs
#delegates configured in delegates.xml that imagemagick can use
Group:          Productivity/Graphics/Other
Recommends:     autotrace dcraw transfig ghostscript_any hp2xx netpbm ghostpcl libwmf
%endif

%package -n libMagickCore%{libspec}-%{clibver}
Summary:        Viewer and Converter for Images - runtime library
Group:          Productivity/Graphics/Other
Suggests:       ImageMagick-extra = %{version}
Recommends:     ghostscript
Requires:       imagick-%{config_spec} = %{version}
Recommends:     %{name}-config-SUSE = %{version}

%package -n libMagickWand%{libspec}-%{clibver}
Summary:        Viewer and Converter for Images - runtime library
Group:          Productivity/Graphics/Other

%package -n libMagick++%{libspec}-%{cxxlibver}
Requires:       ImageMagick
Summary:        C++ Interface for ImageMagick - runtime library
Group:          Development/Libraries/C and C++

%package -n libMagick++-devel
Requires:       ImageMagick-devel = %{version}
Requires:       libMagick++%{libspec}-%{cxxlibver} = %{version}
Requires:       libstdc++-devel
Summary:        C++ Interface for ImageMagick - files mandatory for development
Group:          Development/Libraries/C and C++

%package doc
Summary:        Document Files for ImageMagick Library
Group:          Development/Libraries/C and C++
%if 0%{?suse_version} >= 1120
BuildArch:      noarch
%endif

%package %{config_spec}-upstream
Summary:        Upstream Configuration Files
Group:          Development/Libraries/C and C++
Provides:       imagick-%{config_spec}
Requires(post): update-alternatives
Requires(postun): update-alternatives

%package %{config_spec}-SUSE
Summary:        Upstream Configuration Files
Group:          Development/Libraries/C and C++
Provides:       imagick-%{config_spec}
Requires(post): update-alternatives
Requires(postun): update-alternatives

%prep
%setup -n ImageMagick-%{source_version}
%patch0
%patch1
%patch2  -p1
%patch3  -p1
%patch4  -p1
%patch11 -p1
%ifarch ppc ppc64 s390 s390x
%patch12
%endif
%patch13
%patch14
%patch15
%patch16
%patch17
%patch18
%patch19
%patch21 -p1
%patch22 -p1
%patch23 -p1
%patch24 -p1
%patch25 -p1
%patch26 -p1
%patch27 -p1
%patch28 -p1
%patch29 -p1
%patch30 -p1
%patch31 -p1
%patch32 -p1
%patch33 -p1
%patch34 -p1
%patch35 -p1
%patch36 -p1
%patch37 -p1
%patch38 -p1
%patch39 -p1
%patch40 -p1
%patch41 -p1
%patch42 -p1
%patch43 -p1
%patch44 -p1
%patch45 -p1
%patch46 -p1
%patch47 -p1
%patch48 -p1
%patch49 -p1
%patch50 -p1
%patch51 -p1
%patch52 -p1
%patch53 -p1
%patch54 -p1
%patch55 -p1
%patch56 -p1
%patch57 -p1
%patch58 -p1
%patch59 -p1
%patch60 -p1
%patch61 -p1
%patch62 -p1
%patch63 -p1
%patch64 -p1
%patch65 -p1
%patch66 -p1
%patch67 -p1
%patch68 -p1
%patch69 -p1
%patch70 -p1
%patch71 -p1
%patch72 -p1
%patch73 -p1
%patch74 -p1
%patch75 -p1
%patch76 -p1
%patch77 -p1
%patch78 -p1
%patch79 -p1
%patch80 -p1
%patch81 -p1
%patch82 -p1
%patch83 -p1
%patch84 -p1
%patch85 -p1
%patch86 -p1
%patch87 -p1
%patch88 -p1
%patch89 -p1
%patch90 -p1
%patch91 -p1
%patch92 -p1
%patch93 -p1
%patch94 -p1
%patch95 -p1
%patch96 -p1
%patch97 -p1
%patch98 -p1
%patch99 -p1
%patch100 -p1
%patch101 -p1
%patch102 -p1
%patch103 -p1
%patch104 -p1
%patch105 -p1
%patch106 -p1
%patch107 -p1
%patch108 -p1
%patch109 -p1
%patch110 -p1
%patch111 -p1
%patch112 -p1
%patch113 -p1
%patch114 -p1
%patch115 -p1
%patch116 -p1
%patch117 -p1
%patch118 -p1
%patch119 -p1
%patch120 -p1
%patch121 -p1
%patch122 -p1
%patch123 -p1
%patch124 -p1
%patch125 -p1
%patch126 -p1
%patch127 -p1
%patch128 -p1
%patch129 -p1
%patch130 -p1
%patch131 -p1
%patch132 -p1
%patch133 -p1
%patch134 -p1
%patch135 -p1
%patch136 -p1
%patch137 -p1
%patch138 -p1
%patch139 -p1
%patch140 -p1
%patch141 -p1
%patch142 -p1
%patch143 -p1
%patch144 -p1
%patch145 -p1
%patch146 -p1
%patch147 -p1
%patch148 -p1
%patch149 -p1
%patch150 -p1
%patch151 -p1
%patch152 -p1
%patch153 -p1
%patch154 -p1
%patch155 -p1
%patch156 -p1
%patch157 -p1
%patch158 -p1
%patch159 -p1
%patch160 -p1
%patch161 -p1
%patch162 -p1
%patch163 -p1
%patch164 -p1
%patch165 -p1
%patch166 -p1
%patch167 -p1
%patch168 -p1
%patch169 -p1
%patch170 -p1
%patch171 -p1
%patch172 -p1
%patch173 -p1
%patch174 -p1
%patch175 -p1
%patch176 -p1
%patch177 -p1
%patch178 -p1
%patch179 -p1
%patch180 -p1
%patch181 -p1
%patch182 -p1
%patch183 -p1
%patch184 -p1
%patch185 -p1
%patch186 -p1
%patch187 -p1
%patch188 -p1
%patch189 -p1
%patch190 -p1
%patch191 -p1
%patch192 -p1
%patch193 -p1
%patch194 -p1
%patch195 -p1
%patch196 -p1
%patch197 -p1
%patch198 -p1
%patch199 -p1
%patch200 -p1
%patch201 -p1
%patch202 -p1
%patch203 -p1
%patch204 -p1
%patch205 -p1
%patch206 -p1
%patch207 -p1
%patch208 -p1
%patch209 -p1
%patch210 -p1
%patch211 -p1
%patch212 -p1
%patch213 -p1
%patch214 -p1
%patch215 -p1
%patch216 -p1
%patch217 -p1
%patch218 -p1
%patch219 -p1
%patch220 -p1
%patch221 -p1
%patch222 -p1
%patch223 -p1
%patch224 -p1
%patch225 -p1
%patch226 -p1
%patch227 -p1
%patch228 -p1
%patch229 -p1
%patch230 -p1
%patch231 -p1
%patch232 -p1
%patch233 -p1
%patch234 -p1
%patch235 -p1
%patch236 -p1
%patch237 -p1
%patch238 -p1
%patch239 -p1
%patch240 -p1
%patch241 -p1
%patch242 -p1
%patch243 -p1
%patch244 -p1
%patch245 -p1
%patch246 -p1
%patch247 -p1
%patch248 -p1
%patch249 -p1
%patch250 -p1
%patch251 -p1
%patch252 -p1
%patch253 -p1
%patch254 -p1
%patch255 -p1
%patch256 -p1
%patch257 -p1
%patch258 -p1
%patch259 -p1
%patch260 -p1
%patch261 -p1
%patch262 -p1
%patch263 -p1
%patch264 -p1
%patch265 -p1
%patch266 -p1
%patch267 -p1
%patch268 -p1
%patch269 -p1
%patch270 -p1
%patch271 -p1
%patch272 -p1
%patch273 -p1
%patch274 -p1
%patch275 -p1
%patch276 -p1
%patch277 -p1
%patch278 -p1
%patch279 -p1
%patch280 -p1
%patch281 -p1
%patch282 -p1
%patch283 -p1
%patch284 -p1
%patch285 -p1
%patch286 -p1
%patch287 -p1
%patch288 -p1
%patch289 -p1
%patch290 -p1
%patch291 -p1
%patch292 -p1
%patch293 -p1
%patch294 -p1
%patch295 -p1
%patch296 -p1
%patch297 -p1
%patch298 -p1
%patch299 -p1
%patch300 -p1
%patch301 -p1
%patch302 -p1
%patch303 -p1
%patch304 -p1
%patch305 -p1
%patch306 -p1
%patch307 -p1
%patch308 -p1
%patch309 -p1
%patch310 -p1
%patch311 -p1
%patch312 -p1
%patch313 -p1
%patch314 -p1
%patch315 -p1
%patch316 -p1
%patch317 -p1
%patch318 -p1
%patch319 -p1
%patch320 -p1
%patch321 -p1
%patch322 -p1
%patch323 -p1
%patch324 -p1
%patch325 -p1
%patch326 -p1
%patch327 -p1
%patch328 -p1
%patch329 -p1
%patch330 -p1
%patch331 -p1
%patch332 -p1
%patch333 -p1
%patch334 -p1
%patch335 -p1
%patch336 -p1
%patch337 -p1
%patch338 -p1
%patch339 -p1
%patch340 -p1
%patch341 -p1
%patch342 -p1
%patch343 -p1
%patch344 -p1
%patch345 -p1
%patch346 -p1
%patch347 -p1
%patch348 -p1
%patch349 -p1
%patch350 -p1
%patch351 -p1
%patch352 -p1
%patch353 -p1
%patch354 -p1
%patch355 -p1
%patch356 -p1
%patch357 -p1
%patch358 -p1
%patch359 -p1
%patch360 -p1
%patch361 -p1
%patch362 -p1
%patch363 -p1
%patch364 -p1
%patch365 -p1
%patch366 -p1
%patch367 -p1
%patch368 -p1
%patch369 -p1
%patch370 -p1
%patch371 -p1
%patch372 -p1
%patch373 -p1

%build
%if %{debug_build}
export CFLAGS="%{optflags} -O0"
export CXXFLAGS="%{optflags} -O0"
%endif
export LDFLAGS="-L%{_libdir}"
%if 0%{?is_opensuse}
# for MODULES_DIRNAME setup purpose see bnc#866442
export MODULES_DIRNAME="modules-%{maj}_Q%{quantum_depth}-%{clibver}"
# for SHAREARCH_DIRNAME setup purpose see bnc#866442
export SHAREARCH_DIRNAME="config-%{maj}_Q%{quantum_depth}-%{clibver}"
%endif
# for CONFIGURE_RELATIVE_PATH setup purpose see bnc#866442
sed -i 's:^\(CONFIGURE_RELATIVE_PATH=\).*:\1ImageMagick:' configure.ac
CHANGES=`stat --format="%y" %SOURCE1|cut --characters=1-10`
# Use mtime of .changes for build time
sed -i -e "s|^PACKAGE_RELEASE_DATE.*$|PACKAGE_RELEASE_DATE=\"$CHANGES\"|" version.sh
autoreconf --force --install -v
automake
%configure --with-pic \
  --disable-silent-rules \
  --enable-shared \
  --without-frozenpaths \
  --with-magick_plus_plus \
%if !%{debug_build}
  --with-modules \
%else
  --without-modules \
%endif
  --with-threads \
  --with-perl \
  --with-perl-options="INSTALLDIRS=vendor CC='%__cc -L$PWD/magick/.libs' LDDLFLAGS='-shared -L$PWD/magick/.libs'" \
  --disable-static \
  --with-djvu=yes \
  --with-rsvg=yes \
  --with-wmf=yes \
  --with-quantum-depth=%{quantum_depth}
%if %{asan_build}
sed -i -e 's/\(^CFLAGS.*\)/\1 -fsanitize=address/' \
       -e 's/\(^LIBS =.*\)/\1 -lasan/' \
       Makefile
%endif
# don't build together, PerlMagick could be miscompiled when using parallel build[1]
# [1] http://pkgs.fedoraproject.org/cgit/ImageMagick.git/tree/ImageMagick.spec
make %{?_smp_mflags} all
make -j1 perl-build

%check
%if %{debug_build}
# testsuite does not succeed with -O0 for some reason,
# research TODO
exit 0
%endif
%if %{asan_build}
# ASAN needs /proc to be mounted
exit 0
%endif
# enable insecure coders for testing again
make check
export LD_LIBRARY_PATH=$LD_LIBRARY_PATH:$PWD/magick/.libs:$PWD/wand/.libs
export MAGICK_CODER_MODULE_PATH=$PWD/coders/.libs
export MAGICK_CODER_FILTER_PATH=$PWD/filters/.libs
export MAGICK_CONFIGURE_PATH=$PWD/config
cd PerlMagick
make test

%install
%{__make} install \
     DESTDIR=%{buildroot} \
     pkgdocdir=%{_defaultdocdir}/%{name}-doc/
%perl_process_packlist
# configuration magic
mv -t %{buildroot}%{_sysconfdir}/%{name}* %{buildroot}%{_datadir}/%{name}*/*.xml
mv %{buildroot}%{_sysconfdir}/%{config_dir}{,-upstream}
cp -r %{buildroot}%{_sysconfdir}/%{config_dir}{-upstream,-SUSE}
patch --dir %{buildroot}%{_sysconfdir}/%{config_dir}-SUSE < %{PATCH20}
mkdir -p  %{buildroot}%{_sysconfdir}/alternatives/
ln -sf %{_sysconfdir}/alternatives/%{config_dir} %{buildroot}%{_sysconfdir}/%{config_dir}
# remove unneded files from Magick++/demo for %doc, but not in place
# they are needed for make check
cp -r Magick++/demo .
rm -rf demo/{.deps,.libs,*.C,*.o,Makefile*,run_demos.bat} 
PATH='/bin:/usr/bin' find demo -type f -perm /111 -execdir %{__rm} -rf '{}' ';'
mv demo/makefile.2 demo/Makefile
#
PATH='/bin:/usr/bin' find %{buildroot}/%{_libdir} -name "*.la" ! -empty \
 -execdir %{__sed} -i -e 's@ -L/usr/src[^ ]*@@g' -e 's@ /usr/lib/libltdl.la@@g' '{}' ';'
rm %{buildroot}%{_libdir}/*.la
%if 0%{?suse_version} > 1020
%fdupes -s %{buildroot}%{_defaultdocdir}/%{name}-doc/www/api
%endif

%post -n libMagickCore%{libspec}-%{clibver} -p /sbin/ldconfig

%postun -n libMagickCore%{libspec}-%{clibver} -p /sbin/ldconfig

%post -n libMagickWand%{libspec}-%{clibver} -p /sbin/ldconfig

%postun -n libMagickWand%{libspec}-%{clibver} -p /sbin/ldconfig

%post -n libMagick++%{libspec}-%{cxxlibver} -p /sbin/ldconfig

%postun -n libMagick++%{libspec}-%{cxxlibver} -p /sbin/ldconfig

%post %{config_spec}-upstream
%{_sbindir}/update-alternatives --install %{_sysconfdir}/%{config_dir}  %{config_dir}   %{_sysconfdir}/%{config_dir}-upstream  1

%postun %{config_spec}-upstream
if [ ! -d %{_sysconfdir}/%{config_dir}-upstream ] ; then
    %{_sbindir}/update-alternatives --remove %{config_dir}  %{_sysconfdir}/%{config_dir}-upstream
fi

%post %{config_spec}-SUSE
%{_sbindir}/update-alternatives --install %{_sysconfdir}/%{config_dir}  %{config_dir}   %{_sysconfdir}/%{config_dir}-SUSE      10

%postun %{config_spec}-SUSE
if [ ! -d %{_sysconfdir}/%{config_dir}-SUSE ] ; then
    %{_sbindir}/update-alternatives --remove %{config_dir}  %{_sysconfdir}/%{config_dir}-SUSE
fi

%files
%defattr(-,root,root)
%{_bindir}/[^MW]*
%doc QuickStart.txt README.txt NEWS.txt ChangeLog LICENSE
%doc %{_mandir}/man1/*
%exclude %{_mandir}/man1/*-config.1.gz

%files -n libMagickCore%{libspec}-%{clibver}
%defattr(-,root,root)
%doc LICENSE
%{_libdir}/libMagickCore*.so.%{clibver}*
%dir %{_libdir}/ImageMagick*
%if !%{debug_build}
%dir %{_libdir}/ImageMagick*/modules*
%dir %{_libdir}/ImageMagick*/modules*/*
%exclude %{_libdir}/ImageMagick*/modules*/*/wmf.*
%exclude %{_libdir}/ImageMagick*/modules*/*/jp2.*
%exclude %{_libdir}/ImageMagick*/modules*/*/djvu.*
%{_libdir}/ImageMagick*/modules*/*/*.so
# don't remove la files, see bnc#579798
%{_libdir}/ImageMagick*/modules*/*/*.la
%endif
%{_libdir}/ImageMagick*/config*

%files -n libMagickWand%{libspec}-%{clibver}
%defattr(-,root,root)
%doc LICENSE
%{_libdir}/libMagickWand*.so.%{clibver}*

%if !%{debug_build}
%files extra
%defattr(-,root,root)
%doc LICENSE
%{_libdir}/ImageMagick*/modules*/*/wmf.so
# don't remove la files, see bnc#579798
%{_libdir}/ImageMagick*/modules*/*/wmf.la
%{_libdir}/ImageMagick*/modules*/*/jp2.so
%{_libdir}/ImageMagick*/modules*/*/jp2.la
%{_libdir}/ImageMagick*/modules*/*/djvu.so
%{_libdir}/ImageMagick*/modules*/*/djvu.la
%endif

%files devel
%defattr(-,root,root)
%doc LICENSE
%{_libdir}/libMagickCore*.so
%{_libdir}/libMagickWand*.so
%dir %{_includedir}/ImageMagick*
%{_includedir}/ImageMagick*/magick
%{_includedir}/ImageMagick*/wand
%{_bindir}/MagickCore-config
%{_bindir}/MagickWand-config
%{_bindir}/Magick-config
%{_bindir}/Wand-config
%{_libdir}/pkgconfig/MagickCore*.pc
%{_libdir}/pkgconfig/ImageMagick.pc
%{_libdir}/pkgconfig/ImageMagick-*.pc
%{_libdir}/pkgconfig/*Wand*.pc
%doc %{_mandir}/man1/*-config.1.gz
%exclude %{_mandir}/man1/Magick++-config.1.gz

%files -n perl-PerlMagick
%defattr(-,root,root)
%doc LICENSE
%doc PerlMagick/README.txt
%doc PerlMagick/demo
%doc %{_mandir}/man3/*
%{perl_vendorarch}/auto/Image
%{perl_vendorarch}/Image

%files -n libMagick++%{libspec}-%{cxxlibver}
%defattr(-,root,root)
%doc LICENSE
%{_libdir}/libMagick++*.so.%{cxxlibver}*

%files -n libMagick++-devel
%defattr(-,root,root)
%doc LICENSE
%doc demo
%doc Magick++/NEWS Magick++/README Magick++/AUTHORS
%{_libdir}/libMagick++*.so
%{_includedir}/ImageMagick*/Magick++.h
%{_includedir}/ImageMagick*/Magick++
%{_bindir}/Magick++-config
%{_libdir}/pkgconfig/ImageMagick++*.pc
%{_libdir}/pkgconfig/Magick++*.pc
%doc %{_mandir}/man1/Magick++-config.1.gz

%files doc
%defattr(-,root,root)
%{_docdir}/%{name}-doc

%files %{config_spec}-upstream
%dir %{_sysconfdir}/ImageMagick*-upstream/
%config(noreplace) %{_sysconfdir}/ImageMagick*-upstream/*
%{_sysconfdir}/%{config_dir}
%ghost %{_sysconfdir}/alternatives/%{config_dir}

%files %{config_spec}-SUSE
%dir %{_sysconfdir}/ImageMagick*-SUSE/
%config %{_sysconfdir}/ImageMagick*-SUSE/*
%{_sysconfdir}/%{config_dir}
%ghost %{_sysconfdir}/alternatives/%{config_dir}

%description
ImageMagick is a robust collection of tools and libraries to read,
write, and manipulate an image in many image formats, including popular
formats like TIFF, JPEG, PNG, PDF, PhotoCD, and GIF. With ImageMagick,
you can create images dynamically, making it suitable for Web
applications. You can also resize, rotate, sharpen, color-reduce, or
add special effects to an image and save your completed work in many
different image formats. Image processing operations are available from
the command line as well as through C, C++, and PERL-based programming
interfaces.

%description devel
ImageMagick is a robust collection of tools and libraries to read,
write, and manipulate an image in many image formats, including popular
formats like TIFF, JPEG, PNG, PDF, PhotoCD, and GIF. With ImageMagick,
you can create images dynamically, making it suitable for Web
applications. You can also resize, rotate, sharpen, color-reduce, or
add special effects to an image and save your completed work in many
different image formats. Image processing operations are available from
the command line as well as through C, C++, and PERL-based programming
interfaces.

%if !%{debug_build}
%description extra
This package adds support for djvu, wmf and jpeg2000 formats and
installs optional helper applications.

ImageMagick is a robust collection of tools and libraries to read,
write, and manipulate an image in many image formats, including popular
formats like TIFF, JPEG, PNG, PDF, PhotoCD, and GIF. With ImageMagick,
you can create images dynamically, making it suitable for Web
applications. You can also resize, rotate, sharpen, color-reduce, or
add special effects to an image and save your completed work in many
different image formats. Image processing operations are available from
the command line as well as through C, C++, and PERL-based programming
interfaces.
%endif

%description -n libMagickCore%{libspec}-%{clibver}
ImageMagick is a robust collection of tools and libraries to read,
write, and manipulate an image in many image formats, including popular
formats like TIFF, JPEG, PNG, PDF, PhotoCD, and GIF. With ImageMagick,
you can create images dynamically, making it suitable for Web
applications. You can also resize, rotate, sharpen, color-reduce, or
add special effects to an image and save your completed work in many
different image formats. Image processing operations are available from
the command line as well as through C, C++, and PERL-based programming
interfaces.

%description -n libMagickWand%{libspec}-%{clibver}
ImageMagick is a robust collection of tools and libraries to read,
write, and manipulate an image in many image formats, including popular
formats like TIFF, JPEG, PNG, PDF, PhotoCD, and GIF. With ImageMagick,
you can create images dynamically, making it suitable for Web
applications. You can also resize, rotate, sharpen, color-reduce, or
add special effects to an image and save your completed work in many
different image formats. Image processing operations are available from
the command line as well as through C, C++, and PERL-based programming
interfaces.

%description -n perl-PerlMagick
PerlMagick is an objected-oriented Perl interface to ImageMagick. Use
the module to read, manipulate, or write an image or image sequence
from within a Perl script. This makes it suitable for Web CGI scripts.

%description -n libMagick++%{libspec}-%{cxxlibver}
This is Magick++, the object-oriented C++ API for the ImageMagick
image-processing library.

Magick++ supports an object model inspired by PerlMagick. Magick++
should be faster than PerlMagick since it is written in a compiled
language which is not parsed at run-time. This makes it suitable for
Web CGI programs. Images support implicit reference counting so that
copy constructors and assignment incur almost no cost. The cost of
actually copying an image (if necessary) is done just before
modification and this copy is managed automatically by Magick++.
De-referenced copies are automatically deleted. The image objects
support value (rather than pointer) semantics so it is trivial to
support multiple generations of an image in memory at one time.

%description -n libMagick++-devel
This is Magick++, the object-oriented C++ API for the ImageMagick
image-processing library.

Magick++ supports an object model inspired by PerlMagick. Magick++
should be faster than PerlMagick since it is written in a compiled
language which is not parsed at run-time. This makes it suitable for
Web CGI programs. Images support implicit reference counting so that
copy constructors and assignment incur almost no cost. The cost of
actually copying an image (if necessary) is done just before
modification and this copy is managed automatically by Magick++.
De-referenced copies are automatically deleted. The image objects
support value (rather than pointer) semantics so it is trivial to
support multiple generations of an image in memory at one time.

%description doc
HTML documentation for ImageMagick library and scene examples.

%description %{config_spec}-upstream
ImageMagick configuration as supplied by upstream. It does not
provide any security restrictions. ImageMagick will be vulnerable
for example by ImageTragick or PS/PDF coder issues. It should
be used in trusted environment. Version or maintenance updates
will not overwrite user changes in system configuration.

%description %{config_spec}-SUSE
ImageMagick configuration as provide by SUSE. It is more security
aware than config-upstream variant. It does disable some coders, 
that are insecure by design to prevent user to use them
inadvertently. Configuration can be subject of change by future
version and maintenance updates and system changes will not be
preserved.

%changelog
* Wed Jun 19 2019 pgajdos@suse.com
- security update
- added patches
  CVE-2019-11597 [bsc#1138464]
  + ImageMagick-CVE-2019-11597.patch
* Tue Jun 18 2019 pgajdos@suse.com
- security update
- disable indirect reads [bsc#1138425]
  (https://imagemagick.org/script/security-policy.php)
- modified patches
  %% ImageMagick-configuration-SUSE.patch (refreshed)
* Tue Jun 18 2019 pgajdos@suse.com
- security update
  * really fix CVE-2019-11470 [bsc#1133205]
- modified patches
  %% ImageMagick-CVE-2019-11470.patch (refreshed)
* Thu May 30 2019 pgajdos@suse.com
- security update
- added patches
  CVE-2019-11598 [bsc#1136732]
  + ImageMagick-CVE-2019-11598.patch
* Tue May 28 2019 pgajdos@suse.com
- disable also PCL [bsc#1136183]
- modified patches
  %% ImageMagick-configuration-SUSE.patch
* Fri May 17 2019 pgajdos@suse.com
- security update
- added patches
  CVE-2017-12805 [bsc#1135236]
  + ImageMagick-CVE-2017-12805.patch
* Mon May 13 2019 pgajdos@suse.com
- ImageMagick-meta.c-update.patch also fixes
  CVE-2019-10131 [bsc#1134075], CVE-2017-12806 [bsc#1135232]
* Tue Apr 30 2019 pgajdos@suse.com
- security update
- modified patches
  CVE-2019-11008 [bsc#1132054], CVE-2019-11009 [bsc#1132053], CVE-2019-11472 [bsc#1133204]
  %% ImageMagick-xwd.c-update.patch (extended)
- added patches
  CVE-2019-11470 [bsc#1133205]
  + ImageMagick-CVE-2019-11470.patch
  CVE-2019-11506 [bsc#1133498]
  + ImageMagick-CVE-2019-11506.patch
  CVE-2019-11505 [bsc#1133501]
  + ImageMagick-CVE-2019-11505.patch
* Tue Apr 16 2019 pgajdos@suse.com
- provide two new packages with configuration
  [bsc#1122033]:
  * ImageMagick-config-upstream
  - provides configuration provided by upstream (no restrictions)
  * ImageMagick-config-SUSE (preferred)
  - provides configuration provided by SUSE (with security
    restrictions)
  and use update-alternatives for selecting configurations.
- deleted patches
  - ImageMagick-6.8.8-1-disable-insecure-coders.patch (renamed)
- added patches
  + ImageMagick-configuration-SUSE.patch
* Mon Apr 15 2019 pgajdos@suse.com
- security update
- added patches
  CVE-2019-11007 [bsc#1132060]
  + ImageMagick-CVE-2019-11007.patch
  CVE-2019-11008 [bsc#1132054], CVE-2019-11009 [bsc#1132053]
  + ImageMagick-xwd.c-update.patch
* Thu Apr  4 2019 pgajdos@suse.com
- security update
- added patches
  CVE-2019-10650 [bsc#1131317]
  + ImageMagick-CVE-2019-10650.patch
  CVE-2019-9956 [bsc#1130330]
  + ImageMagick-CVE-2019-9956.patch
* Wed Mar 13 2019 pgajdos@suse.com
- security update
- added patches
  CVE-2019-7175 [bsc#1128649]
  + ImageMagick-CVE-2019-7175.patch
* Thu Feb 14 2019 Petr Gajdos <pgajdos@suse.com>
- fix regression in dcm coder [bsc#1107609#c36]
  %% ImageMagick-CVE-2018-16644.patch
* Mon Feb 11 2019 Petr Gajdos <pgajdos@suse.com>
- security update (pdf.c):
  * CVE-2019-7397 [bsc#1124366]
    + ImageMagick-CVE-2019-7397.patch
* Mon Feb 11 2019 Petr Gajdos <pgajdos@suse.com>
- security update (psd.c):
  * CVE-2019-7395 [bsc#1124368]
    + ImageMagick-CVE-2019-7395.patch
* Mon Feb 11 2019 Petr Gajdos <pgajdos@suse.com>
- security update (dib.c)
  * CVE-2019-7398 [bsc#1124365]
    + ImageMagick-CVE-2019-7398.patch
* Thu Jan  3 2019 Petr Gajdos <pgajdos@suse.com>
- security update (bmp.c):
  * CVE-2018-20467 [bsc#1120381]
    + ImageMagick-CVE-2018-20467.patch
* Fri Nov 30 2018 Petr Gajdos <pgajdos@suse.com>
- allow override system security policy [bsc#1117463]
* Wed Nov 28 2018 Petr Gajdos <pgajdos@suse.com>
- improve import documentation [bsc#1057246]
* Thu Nov  1 2018 Petr Gajdos <pgajdos@suse.com>
- security update (msl.c):
  * CVE-2018-18544 [bsc#1113064]
    + ImageMagick-CVE-2018-18544.patch
* Mon Oct 22 2018 Petr Gajdos <pgajdos@suse.com>
- security update (pict.c):
  * CVE-2017-14997 [bsc#1112399]
    + ImageMagick-CVE-2017-14997.patch
* Mon Oct 22 2018 Petr Gajdos <pgajdos@suse.com>
- fix regression in pict coder [bsc#1107609#c24]
  %% ImageMagick-CVE-2018-16644.patch
* Mon Oct 22 2018 Petr Gajdos <pgajdos@suse.com>
- asan_build: build ASAN included
- debug_build: build more suitable for debugging
* Fri Oct 12 2018 Petr Gajdos <pgajdos@suse.com>
- security update (bmp.c)
  * CVE-2018-18024 [bsc#1111069]
  * ImageMagick-CVE-2018-18024.patch
* Thu Oct 11 2018 Petr Gajdos <pgajdos@suse.com>
- security update (pcx.c)
  * CVE-2018-18016 [bsc#1111072]
    %% ImageMagick-CVE-2017-13058.patch renamed to
    ImageMagick-CVE-2017-13058,CVE-2018-18016.patch
* Thu Oct 11 2018 Petr Gajdos <pgajdos@suse.com>
- security update (sgi.c)
  * CVE-2018-17965 [bsc#1110747]
    + ImageMagick-CVE-2018-17965.patch
* Thu Oct 11 2018 Petr Gajdos <pgajdos@suse.com>
- security update (dib.c and bmp.c)
  * CVE-2018-12600 [bsc#1098545]
    + ImageMagick-CVE-2018-12600.patch
  * CVE-2018-12599 [bsc#1098546]
    + ImageMagick-CVE-2018-12599.patch
* Wed Oct 10 2018 Petr Gajdos <pgajdos@suse.com>
- security update (pdb.c):
  * CVE-2018-17966 [bsc#1110746]
    + ImageMagick-CVE-2018-17966.patch
* Wed Oct  3 2018 Petr Gajdos <pgajdos@suse.com>
- allow writing PS, PS2, PS3, XPS, EPS and PDF, disable reading
  only by default security policy [bsc#1105592c#32]
* Tue Sep 18 2018 Petr Gajdos <pgajdos@suse.com>
- security update (core, cache)
  * CVE-2017-11532 [bsc#1050129]
    + ImageMagick-CVE-2017-11532.patch
* Sat Sep 15 2018 Petr Gajdos <pgajdos@suse.com>
- security update (meta.c):
  * CVE-2018-16750 [bsc#1108283]
    + ImageMagick-meta.c-update.patch
* Sat Sep 15 2018 Petr Gajdos <pgajdos@suse.com>
- security update (png.c):
  * CVE-2018-16749 [bsc#1108282]
    + ImageMagick-CVE-2018-16749.patch
* Tue Sep 11 2018 Petr Gajdos <pgajdos@suse.com>
- security update (cut.c):
  * CVE-2018-16642 [bsc#1107616]
    + ImageMagick-CVE-2018-16642.patch
* Tue Sep 11 2018 Petr Gajdos <pgajdos@suse.com>
- security update (png.c):
  * CVE-2018-16640 [bsc#1107619]
    + ImageMagick-CVE-2018-16640.patch
* Mon Sep 10 2018 Petr Gajdos <pgajdos@suse.com>
- security update (cals.c, dcm.c, pict.c, pwp.c):
  * CVE-2018-16643 [bsc#1107612]
    + ImageMagick-CVE-2018-16643.patch
* Mon Sep 10 2018 Petr Gajdos <pgajdos@suse.com>
- security update (pict.c):
  * CVE-2018-16644 [bsc#1107609]
    + ImageMagick-CVE-2018-16644.patch
* Mon Sep 10 2018 Petr Gajdos <pgajdos@suse.com>
- security update (bmp.c, dib.c):
  * CVE-2018-16645 [bsc#1107604]
    + ImageMagick-CVE-2018-16645.patch
* Wed Sep  5 2018 pgajdos@suse.com
-  security update (psd.c)
  * CVE-2018-16413 [bsc#1106989], CVE-2018-16412 [bsc#1106996]
    + ImageMagick-CVE-2018-16412,16413.patch (formerly
    ImageMagick-CVE-2018-16413.patch)
* Mon Sep  3 2018 pgajdos@suse.com
- security update (core)
  * CVE-2018-16329 [bsc#1106858]
    + ImageMagick-CVE-2018-16329.patch
* Mon Sep  3 2018 pgajdos@suse.com
- security update (xbm.c)
  * CVE-2018-16323 [bsc#1106855]
    + ImageMagick-CVE-2018-16323.patch
* Wed Aug 22 2018 pgajdos@suse.com
- disable PS, PS2, PS3, XPS and PDF coders in default policy.xml
  [bsc#1105592]
* Tue Aug  7 2018 pgajdos@suse.com
- security update (pcd.c):
  * CVE-2018-14435 [bsc#1102007]
    + ImageMagick-CVE-2018-14435.patch
* Tue Aug  7 2018 pgajdos@suse.com
- security update (miff.c):
  * CVE-2018-14436 [bsc#1102005]
    + ImageMagick-CVE-2018-14436.patch
* Tue Aug  7 2018 pgajdos@suse.com
- security update (meta.c):
  * CVE-2018-14437 [bsc#1102004]
    + ImageMagick-CVE-2018-14437.patch
* Mon Aug  6 2018 pgajdos@suse.com
- security update (mpc.c):
  * CVE-2018-14434 [bsc#1102003]
    + ImageMagick-CVE-2018-14434.patch
* Wed Jun 20 2018 pgajdos@suse.com
- security update (bgr.c, rgb.c, cmyk.c, gray.c, ycbcr.c)
  * CVE-2018-10805 and similar memory leaks [bsc#1095812]
    + ImageMagick-CVE-2018-10805.patch
* Fri Jun 15 2018 pgajdos@suse.com
- security update (core)
  * CVE-2018-11655 [bnc#1095730]
    + ImageMagick-CVE-2018-11655.patch
* Thu Jun 14 2018 pgajdos@suse.com
- security udpate (tiff.c)
  * CVE-2018-10804 [bsc#1095813]
    + ImageMagick-CVE-2018-10804.patch
* Fri May 25 2018 pgajdos@suse.com
- security update (core)
  * CVE-2017-13758 [bsc#1056277]
    + ImageMagick-CVE-2017-13758.patch
  * fixed hang [bsc#1056277]
    . ImageMagick-CVE-2017-10928.patch
* Wed May 23 2018 pgajdos@suse.com
- security update (sun.c)
  * CVE-2018-11251 [bsc#1094237]
    + ImageMagick-CVE-2018-11251.patch
* Wed May 23 2018 pgajdos@suse.com
- security update (miff.c)
  * CVE-2017-18271 [bsc#1094204]
    + ImageMagick-CVE-2017-18271.patch
* Tue May 22 2018 pgajdos@suse.com
- security update (tiff.c):
  * CVE-2018-9133 [bsc#1087820]
    + ImageMagick-CVE-2018-9133.patch
* Wed Apr 25 2018 pgajdos@suse.com
- security update (core)
  * CVE-2017-17887 [bsc#1074117]
    + ImageMagick-CVE-2017-17887.patch
* Fri Apr 20 2018 pgajdos@suse.com
- security update (png.c)
  * CVE-2018-10177 [bsc#1089781]
    + ImageMagick-CVE-2018-10177.patch
* Wed Apr 18 2018 pgajdos@suse.com
- security update (tiff.c)
  * CVE-2018-8960 [bsc#1086782]
    + ImageMagick-CVE-2018-8960.patch
* Tue Apr 17 2018 pgajdos@suse.com
- security update (core)
  * CVE-2017-14325 [bsc#1058635]
    + ImageMagick-CVE-2017-14325.patch
* Fri Apr 13 2018 pgajdos@suse.com
- security update (png.c)
  * CVE-2018-9018 [bsc#1086773]
    + ImageMagick-CVE-2018-9018.patch
* Fri Apr 13 2018 pgajdos@suse.com
- security update (wand)
  * CVE-2017-18252 [bsc#1087033]
    + ImageMagick-CVE-2017-18252.patch
* Wed Apr 11 2018 pgajdos@suse.com
- security update (webp.c)
  * CVE-2018-9135 [bsc#1087825]
    + ImageMagick-CVE-2018-9135.patch
* Wed Apr 11 2018 pgajdos@suse.com
- security update (core)
  * CVE-2017-18250 [bsc#1087039]
    + ImageMagick-CVE-2017-18254.patch
* Tue Apr 10 2018 pgajdos@suse.com
- security update (gif.c)
  * CVE-2017-18254 [bsc#1087027]
    + ImageMagick-CVE-2017-18254.patch
* Tue Apr 10 2018 pgajdos@suse.com
- security update (core)
  * CVE-2017-10928 [bsc#1047356]
    + ImageMagick-CVE-2017-18251.patch
* Fri Apr  6 2018 pgajdos@suse.com
- security update (pcd.c)
  * CVE-2017-18251 [bsc#1087037]
    + ImageMagick-CVE-2017-18251.patch
- fixed patches (thanks to patch-2.7.6):
  . ImageMagick-CVE-2017-1000476.patch
  . ImageMagick-CVE-2017-11450.patch
* Mon Mar 26 2018 pgajdos@suse.com
- security update (ept.c)
  * CVE-2018-8804 [bsc#1086011]
    + ImageMagick-CVE-2018-8804.patch
* Tue Mar 20 2018 pgajdos@suse.com
- security update (core)
  * CVE-2017-11524 [bsc#1050087]
    + ImageMagick-CVE-2017-11524.patch
* Wed Mar 14 2018 pgajdos@suse.com
- security update (core)
  * CVE-2017-18209 [bsc#1083628]
    + ImageMagick-CVE-2017-18209.patch
  * CVE-2017-18211 [bsc#1083634]
    + ImageMagick-CVE-2017-18211.patch
* Tue Mar  6 2018 pgajdos@suse.com
- security update (miff.c)
  * CVE-2017-9500 [bsc#1043290]
    + ImageMagick-CVE-2017-9500.patch
* Mon Mar  5 2018 pgajdos@suse.com
- security update (core)
  * CVE-2017-14739 [bsc#1060382]
    + ImageMagick-CVE-2017-14739.patch
* Wed Feb 28 2018 pgajdos@suse.com
- security update (core)
  * CVE-2017-16353 [bsc#1066170]
    + ImageMagick-CVE-2017-16353.patch
  * CVE-2017-16352 [bsc#1066168]
    + ImageMagick-CVE-2017-16352.patch
  * CVE-2017-14314 [bsc#1058630]
    + ImageMagick-CVE-2017-14314.patch
  * CVE-2017-13768 [bsc#1056434]
    + ImageMagick-CVE-2017-13768.patch
  * CVE-2017-14505 [bsc#1059735]
    + ImageMagick-CVE-2017-14505.patch
* Mon Feb 26 2018 pgajdos@suse.com
- security update (webp.c):
  * CVE-2018-7470 [bsc#1082837]
    + ImageMagick-CVE-2018-7470.patch
* Mon Feb 26 2018 pgajdos@suse.com
- security update (tiff.c):
  * CVE-2018-7443 [bsc#1082792]
    + ImageMagick-CVE-2018-7443.patch
* Mon Feb 26 2018 pgajdos@suse.com
- security update (emf.c):
  * CVE-2017-15016 [bsc#1082291]
    + ImageMagick-CVE-2017-15016.patch
* Mon Feb 26 2018 pgajdos@suse.com
- security update (png.c):
  * CVE-2017-15017 [bsc#1082283]
    + ImageMagick-CVE-2017-15017.patch
* Mon Feb 26 2018 pgajdos@suse.com
- security update (viff.c):
  * CVE-2017-12692 [bsc#1082362]
    + ImageMagick-CVE-2017-12692.patch
* Mon Feb 26 2018 pgajdos@suse.com
- security update (bmp.c):
  * CVE-2017-12693 [bsc#1082348]
    + ImageMagick-CVE-2017-12693.patch
* Wed Feb 21 2018 pgajdos@suse.com
- security update (icon.c):
  * CVE-2017-9405 [bsc#1042911]
    + ImageMagick-CVE-2017-9405.patch
* Wed Feb 21 2018 pgajdos@suse.com
- security update (dib.c):
  * CVE-2017-11528 [bsc#1050119]
    + ImageMagick-CVE-2017-11528.patch
* Wed Feb 21 2018 pgajdos@suse.com
- security update (ept.c):
  * CVE-2017-11530 [bsc#1050122]
    + ImageMagick-CVE-2017-11530.patch
* Wed Feb 21 2018 pgajdos@suse.com
- security update (uil.c):
  * CVE-2017-11533 [bsc#1050132]
    + ImageMagick-CVE-2017-11533.patch
* Tue Feb 20 2018 pgajdos@suse.com
- security update (map.c):
  * CVE-2017-12663 [bsc#1052754]
    + ImageMagick-CVE-2017-12663.patch
* Fri Feb 16 2018 pgajdos@suse.com
- security update (msl.c):
  * CVE-2017-12427 [bsc#1052248]
    + ImageMagick-CVE-2017-12427.patch
  * CVE-2017-14139 [bsc#1057163]
    + ImageMagick-CVE-2017-14139.patch
  * CVE-2017-17934 [bsc#1074170]
    + ImageMagick-CVE-2017-17934.patch
* Fri Feb 16 2018 pgajdos@suse.com
- security update (mvg.c):
  * CVE-2017-12566 [bsc#1052472]
    + ImageMagick-CVE-2017-12566.patch
* Wed Feb 14 2018 pgajdos@suse.com
- security update (map.c):
  * CVE-2017-11638, CVE-2017-11642 [bsc#1050617]
    + ImageMagick-CVE-2017-11638,11642.patch
* Tue Feb 13 2018 pgajdos@suse.com
- security update (miff.c):
  * CVE-2017-13131 [bsc#1055229]
    + ImageMagick-CVE-2017-13131.patch
* Tue Feb 13 2018 pgajdos@suse.com
- security update (tga.c):
  * CVE-2017-11170 [bsc#1048272]
    + ImageMagick-CVE-2017-11170.patch
* Tue Feb 13 2018 pgajdos@suse.com
- security update (xwd.c):
  * CVE-2017-11166 [bsc#1048110]
  + ImageMagick-CVE-2017-11166.patch
* Tue Feb 13 2018 pgajdos@suse.com
- security update (pdb.c):
  * CVE-2017-12674 [bsc#1052711]
    + ImageMagick-CVE-2017-12674.patch
* Tue Feb 13 2018 pgajdos@suse.com
- security udpate (cut.c):
  * CVE-2017-14060 [bsc#1056768]
    + ImageMagick-CVE-2017-14060.patch
* Mon Feb 12 2018 pgajdos@suse.com
- security update (psd.c):
  * [bsc#1074118]
    + ImageMagick-psd.c-update.patch
* Mon Feb 12 2018 pgajdos@suse.com
- security update:
  * CVE-2017-11531 [bsc#1050126]
    + ImageMagick-histogram.c-update.patch
* Fri Feb  9 2018 pgajdos@suse.com
- security update (dcm.c):
  * CVE-2018-5357 [bsc#1075821]
    + ImageMagick-CVE-2018-5357.patch
  * CVE-2018-6405 [bsc#1078433] and CVE-2018-11656 [bsc#1095726]
    + ImageMagick-CVE-2018-6405,11656.patch
* Wed Feb  7 2018 pgajdos@suse.com
- security update (jpeg.c):
  * CVE-2017-11450 [bsc#1049374]
    + ImageMagick-CVE-2017-11450.patch
  * CVE-2017-11448 [bsc#1049375]
    + ImageMagick-CVE-2017-11448.patch
* Tue Feb  6 2018 pgajdos@suse.com
- security update (pcx.c):
  * CVE-2017-12432 [bsc#1052254]
    + ImageMagick-CVE-2017-12432.patch
  * CVE-2017-12668 [bsc#1052688]
    + ImageMagick-CVE-2017-12668.patch
  * CVE-2017-14224 [bsc#1058009]
    + ImageMagick-CVE-2017-14224.patch
  * CVE-2017-13058 [bsc#1055069]
    + ImageMagick-CVE-2017-13058.patch
* Wed Jan 31 2018 pgajdos@suse.com
- security update (palm.c):
  * CVE-2017-9407 [bsc#1042824]
    + ImageMagick-CVE-2017-9407.patch
  * CVE-2017-11537 [bsc#1050048]
    + ImageMagick-CVE-2017-11537.patch
  * CVE-2017-12664 [bsc#1052750]
    + ImageMagick-CVE-2017-12664.patch
* Wed Jan 31 2018 pgajdos@suse.com
- security update (meta.c):
  * CVE-2017-12418 [bsc#1052207]
    + ImageMagick-CVE-2017-12418.patch
* Tue Jan 30 2018 pgajdos@suse.com
- security update (pict.c):
  * CVE-2017-12665 [bsc#1052747]
    + ImageMagick-CVE-2017-12665.patch
  * CVE-2017-12654 [bsc#1052761]
    + ImageMagick-CVE-2017-12654.patch
  * CVE-2017-17885 [bsc#1074119]
    + ImageMagick-CVE-2017-17885.patch
* Tue Jan 30 2018 pgajdos@suse.com
- security update (tiff.c):
  * CVE-2017-18028 [bsc#1076182]
    + ImageMagick-CVE-2017-18028.patch
* Fri Jan 26 2018 pgajdos@suse.com
- security update (psd.c):
  * CVE-2017-17681 [bsc#1072901]
    + ImageMagick-CVE-2017-17681.patch
* Fri Jan 26 2018 pgajdos@suse.com
- security update (pwp.c):
  * CVE-2017-18008 [bsc#1074309]
    + ImageMagick-CVE-2017-18008.patch
* Wed Jan 24 2018 pgajdos@suse.com
- security update (bmp.c):
  * CVE-2018-5685 [bsc#1075939]
    + ImageMagick-CVE-2018-5685.patch
* Wed Jan 24 2018 pgajdos@suse.com
- security update (cip.c):
  * CVE-2017-11639 [bsc#1050635]
    + ImageMagick-CVE-2017-11639.patch
* Wed Jan 24 2018 pgajdos@suse.com
- secruity update (cin.c):
  * CVE-2017-11525 [bsc#1050098]
    + ImageMagick-CVE-2017-11525.patch
* Mon Jan 22 2018 pgajdos@suse.com
- readd MagickMin() to mat.c
* Mon Jan 15 2018 pgajdos@suse.com
- security update (png.c):
  * CVE-2017-9262 [bsc#1043353]
  * CVE-2017-9261 [bsc#1043354]
  * CVE-2017-10995 [bsc#1047908]
  * CVE-2017-11539 [bsc#1050037]
  * CVE-2017-11505 [bsc#1050072]
  * CVE-2017-11526 [bsc#1050100]
  * CVE-2017-11750 [bsc#1051442]
  * CVE-2017-12565 [bsc#1052470]
  * CVE-2017-12676 [bsc#1052708]
  * CVE-2017-12673 [bsc#1052717]
  * CVE-2017-12671 [bsc#1052721]
  * CVE-2017-12643 [bsc#1052768]
  * CVE-2017-12641 [bsc#1052777]
  * CVE-2017-12640 [bsc#1052781]
  * CVE-2017-12935 [bsc#1054600]
  * CVE-2017-13059 [bsc#1055068]
  * CVE-2017-13147 [bsc#1055374]
  * CVE-2017-13142 [bsc#1055455]
  * CVE-2017-13141 [bsc#1055456]
  * CVE-2017-14103 [bsc#1057000]
  * CVE-2017-14649 [bsc#1060162]
  * CVE-2017-15218 [bsc#1062752]
  * CVE-2017-17504 [bsc#1072362]
  * CVE-2017-17884 [bsc#1074120]
  * CVE-2017-17879 [bsc#1074125]
  * CVE-2017-17914 [bsc#1074185]
- added patches
  + ImageMagick-CVE-2017-9262.patch
  + ImageMagick-CVE-2017-9261.patch
  + ImageMagick-CVE-2017-10995.patch
  + ImageMagick-CVE-2017-11539.patch
  + ImageMagick-CVE-2017-11505,11526.patch
  + ImageMagick-CVE-2017-12565,12641.patch
  + ImageMagick-CVE-2017-11750,12676,12643.patch
  + ImageMagick-CVE-2017-12673.patch
  + ImageMagick-CVE-2017-12671,13141.patch
  + ImageMagick-CVE-2017-12640.patch
  + ImageMagick-CVE-2017-13059.patch
  + ImageMagick-CVE-2017-13142.patch
  + ImageMagick-CVE-2017-15218.patch
  + ImageMagick-CVE-2017-17504.patch
  + ImageMagick-CVE-2017-17884.patch
  + ImageMagick-CVE-2017-17879.patch
  + ImageMagick-CVE-2017-17914.patch
  + ImageMagick-png.c-other-fixes.patch
* Tue Jan  9 2018 pgajdos@suse.com
- security update (pattern.c):
  * CVE-2018-5246 [bsc#1074973]
    + ImageMagick-CVE-2018-5246.patch
* Tue Jan  9 2018 pgajdos@suse.com
- security update (core):
  * CVE-2017-18022 [bsc#1074975]
    + ImageMagick-CVE-2017-18022.patch
* Tue Jan  9 2018 pgajdos@suse.com
- security update (rla.c):
  * CVE-2018-5247 [bsc#1074969]
    + ImageMagick-CVE-2018-5247.patch
* Mon Jan  8 2018 pgajdos@suse.com
- security update (mat.c):
  * CVE-2017-12672 [bsc#1052720]
  * CVE-2017-13060 [bsc#1055065]
  * CVE-2017-11724 [bsc#1051446]
  * CVE-2017-12670 [bsc#1052731]
  * CVE-2017-12667 [bsc#1052732]
  * CVE-2017-13146 [bsc#1055323]
  * CVE-2017-10800 [bsc#1047044]
  * CVE-2017-13648 [bsc#1055434]
  * CVE-2017-11141 [bsc#1047898]
  * CVE-2017-11529 [bsc#1050120]
  * CVE-2017-12564 [bsc#1052468]
  * CVE-2017-12434 [bsc#1052550]
  * CVE-2017-12675 [bsc#1052710]
  * CVE-2017-14326 [bsc#1058640]
  * CVE-2017-11644 [bsc#1050606]
  * CVE-2017-13658 [bsc#1055855]
  * CVE-2017-14533 [bsc#1059751]
  * CVE-2017-17881 [bsc#1074123]
  * CVE-2017-18029 [bsc#1076021]
  * CVE-2017-18027 [bsc#1076051]
- added ImageMagick-mat.c-update.patch, update of mat.c to
  6.9.9-31's version
* Fri Jan  5 2018 pgajdos@suse.com
- security update (dds.c):
  * CVE-2017-1000476 [bsc#1074610]
    + ImageMagick-CVE-2017-1000476.patch
* Wed Jan  3 2018 pgajdos@suse.com
- security update (mpc.c):
  * CVE-2017-9409 [bsc#1042948]
    + ImageMagick-CVE-2017-9409.patch
  * CVE-2017-11449 [bsc#1049373]
    + ImageMagick-CVE-2017-11449.patch
  * CVE-2017-12430 [bsc#1052252], CVE-2017-12429 [bsc#1052251]
    + ImageMagick-CVE-2017-12430,12429.patch
  * CVE-2017-12642 [bsc#1052771]
    + ImageMagick-CVE-2017-12642.patch
  * CVE-2017-14249 [bsc#1058082]
    + ImageMagick-CVE-2017-14249.patch
* Wed Jan  3 2018 pgajdos@suse.com
- security update (core):
  * CVE-2017-1000445 [bsc#1074425]
    + ImageMagick-CVE-2017-1000445.patch
* Tue Jan  2 2018 pgajdos@suse.com
- security update (xpm.c):
  * CVE-2017-11751 [bsc#1051412]
    + ImageMagick-CVE-2017-11751.patch
  * CVE-2017-17680, CVE-2017-17882 [bsc#1072902], [bsc#1074122]
    + ImageMagick-CVE-2017-17680,17882.patch
* Thu Dec 14 2017 pgajdos@suse.com
- security update (xcf.c):
  * CVE-2017-14343, CVE-2017-12691 [bsc#1058422], [bsc#1082363]
    ImageMagick-CVE-2017-14343,12691.patch
* Wed Dec 13 2017 pgajdos@suse.com
- security update (pnm.c):
  * CVE-2017-14042 [bsc#1056550]
    + ImageMagick-CVE-2017-14042.patch
* Tue Dec 12 2017 pgajdos@suse.com
- security update (psd.c):
  * CVE-2017-15281 [bsc#1063049]
    + ImageMagick-CVE-2017-15281.patch
  * CVE-2017-13061 [bsc#1055063]
    + ImageMagick-CVE-2017-13061.patch
  * CVE-2017-12563 [bsc#1052460]
    + ImageMagick-CVE-2017-12563.patch
  * CVE-2017-14174 [bsc#1057723]
    + ImageMagick-CVE-2017-14174.patch
* Mon Dec 11 2017 pgajdos@suse.com
- security update (meta.c):
  * CVE-2017-13062 [bsc#1055053]
    + ImageMagick-CVE-2017-13062.patch
* Mon Dec 11 2017 pgajdos@suse.com
- security update (gif.c):
  * CVE-2017-15277 [bsc#1063050]
    + ImageMagick-CVE-2017-15277.patch
* Wed Dec  6 2017 pgajdos@suse.com
- security update (rle.c):
  * CVE-2017-14733 [bsc#1060577]
    + ImageMagick-CVE-2017-14733.patch
* Tue Dec  5 2017 pgajdos@suse.com
- security update (cals.c):
  * CVE-2017-12669 [bsc#1052689]
    + ImageMagick-CVE-2017-12669.patch
* Tue Dec  5 2017 pgajdos@suse.com
- security update (magick.c):
  * CVE-2017-11752 [bsc#1051441]
    + ImageMagick-CVE-2017-11752.patch
* Tue Dec  5 2017 pgajdos@suse.com
- security update (pdf.c):
  * CVE-2017-12662 [bsc#1052758]
    + ImageMagick-CVE-2017-12662.patch
* Tue Dec  5 2017 pgajdos@suse.com
- security update (ps.c):
  * CVE-2017-11535 [bsc#1050139]
    + ImageMagick-CVE-2017-11535.patch
  * CVE-2017-14172 [bsc#1057730]
    + ImageMagick-CVE-2017-14172.patch
* Mon Dec  4 2017 pgajdos@suse.com
- security update (dcm.c):
  * CVE-2017-12140, CVE-2017-12644 [bsc#1052764] [bsc#1051847]
    + ImageMagick-CVE-2017-12140,12644.patch
* Mon Dec  4 2017 pgajdos@suse.com
- security update (dpx.c):
  * CVE-2017-11188 [bsc#1048457]
    + ImageMagick-CVE-2017-11188.patch
  * CVE-2017-11527 [bsc#1050116]
    + ImageMagick-CVE-2017-11527.patch
* Fri Dec  1 2017 pgajdos@suse.com
- security update (annotate.c):
  * CVE-2017-14989 [bsc#1061254]
    + ImageMagick-CVE-2017-14989.patch
* Thu Nov 30 2017 pgajdos@suse.com
- security update (token.c):
  * CVE-2017-14682 [bsc#1060176]
    + ImageMagick-CVE-2017-14682.patch
* Wed Nov 29 2017 pgajdos@suse.com
- security update (annotate.c):
  * [bsc#1052744]
    + ImageMagick-unable-to-read-font-memory-leaks.patch
* Tue Nov 28 2017 pgajdos@suse.com
- security update (tiff.c):
  * CVE-2017-14607 [bsc#1059778]
    + ImageMagick-CVE-2017-14607.patch
  * CVE-2017-11640 [bsc#1050632]
    + ImageMagick-CVE-2017-11640.patch
* Tue Nov 21 2017 pgajdos@suse.com
- security update (wpg.c):
  * CVE-2017-14342 [bsc#1058485]
    + ImageMagick-CVE-2017-14342.patch
  * CVE-2017-14341 [bsc#1058637]
    + ImageMagick-CVE-2017-14341.patch
  * CVE-2017-16546 [bsc#1067181]
    + ImageMagick-CVE-2017-16546.patch
  * CVE-2017-16545 [bsc#1067184]
    + ImageMagick-CVE-2017-16545.patch
  * CVE-2017-16669 [bsc#1067409], CVE-2017-17682 [bsc#1072898]
    + GraphicsMagick-CVE-2017-16669.patch
* Tue Nov  7 2017 pgajdos@suse.com
- security update:
  * CVE-2017-14175 [bsc#1057719]
    + ImageMagick-CVE-2017-14175.patch
* Tue Nov  7 2017 pgajdos@suse.com
- security update:
  * CVE-2017-14138 [bsc#1057157]
    + ImageMagick-CVE-2017-14138.patch
* Tue Nov  7 2017 pgajdos@suse.com
- security update:
  * CVE-2017-13769 [bsc#1056432]
    + ImageMagick-CVE-2017-13769.patch
* Mon Nov  6 2017 pgajdos@suse.com
- security update:
  * CVE-2017-13134 [bsc#1055214]
    + ImageMagick-CVE-2017-13134.patch
* Mon Nov  6 2017 pgajdos@suse.com
- security update:
  * CVE-2017-15217 [bsc#1062750]
    + ImageMagick-CVE-2017-15217.patch
* Mon Nov  6 2017 pgajdos@suse.com
- security update:
  * CVE-2017-11478 [bsc#1049796]
    + ImageMagick-CVE-2017-11478.patch
* Mon Nov  6 2017 pgajdos@suse.com
- security update:
  * CVE-2017-15930 [bsc#1066003]
    + ImageMagick-CVE-2017-15930.patch
* Thu Nov  2 2017 pgajdos@suse.com
- security update:
  * CVE-2017-12983 [bsc#1054757]
    + ImageMagick-CVE-2017-12983.patch
* Wed Nov  1 2017 pgajdos@suse.com
- security update:
  * CVE-2017-14531 [bsc#1059666]
    + ImageMagick-CVE-2017-14531.patch
* Wed Nov  1 2017 pgajdos@suse.com
- security update:
  * CVE-2017-12435 [bsc#1052553]
    + ImageMagick-CVE-2017-12435.patch
* Wed Nov  1 2017 pgajdos@suse.com
- security update:
  * CVE-2017-12587 [bsc#1052450]
    + ImageMagick-CVE-2017-12587.patch
* Tue Oct 31 2017 pgajdos@suse.com
- security update:
  * CVE-2017-11523 [bsc#1050083]
    + ImageMagick-CVE-2017-11523.patch
  * CVE-2017-14173 [bsc#1057729]
    + ImageMagick-CVE-2017-14173.patch
* Wed Oct 25 2017 pgajdos@suse.com
- security update:
  * CVE-2017-11446 [bsc#1049379]
    + ImageMagick-CVE-2017-11446.patch
  * CVE-2017-12433 [bsc#1052545]
    + ImageMagick-CVE-2017-12433.patch
* Tue Oct 24 2017 pgajdos@suse.com
- security update:
  * CVE-2017-12428 [bsc#1052249], CVE-2017-12431 [bsc#1052253],
    CVE-2017-11534 [bsc#1050135]
    + ImageMagick-CVE-2017-12428,12431,11534.patch
* Mon Oct 23 2017 pgajdos@suse.com
- security update:
  * CVE-2017-13133 [bsc#1055219]
    + ImageMagick-CVE-2017-13133.patch
* Mon Oct 23 2017 pgajdos@suse.com
- security update:
  * CVE-2017-13139 [bsc#1055430]
    + ImageMagick-CVE-2017-13139.patch
* Mon Oct 16 2017 pgajdos@suse.com
- recommend ghostscript [bsc#1054924c#25]
* Fri Oct  6 2017 pgajdos@suse.com
- security update:
  * CVE-2017-15033 [bsc#1061873]
    + ImageMagick-CVE-2017-15033.patch
* Fri Oct  6 2017 pgajdos@suse.com
- revert wrong part of CVE-2016-7530 fix [bsc#1054924]
  * amended ImageMagick-CVE-2016-7530.patch
* Fri Jul 21 2017 pgajdos@suse.com
- security update:
  * CVE-2017-11403 [bsc#1049072]
    + ImageMagick-CVE-2017-11403.patch
* Wed Jun 28 2017 pgajdos@suse.com
- security update:
  * CVE-2017-9440 [bsc#1042812]
    + ImageMagick-CVE-2017-9440.patch
  * CVE-2017-9439 [bsc#1042826]
    + ImageMagick-CVE-2017-9439.patch
  * CVE-2017-9501 [bsc#1043289]
    + ImageMagick-CVE-2017-9501.patch
* Tue May 30 2017 pgajdos@suse.com
- security update:
  * CVE-2017-9143 [bsc#1040306]
    + ImageMagick-CVE-2017-9143.patch
  * CVE-2017-9142 [bsc#1040304]
    + ImageMagick-CVE-2017-9142.patch
  * CVE-2017-9141 [bsc#1040303]
    + ImageMagick-CVE-2017-9141.patch
  * CVE-2017-9144 [bsc#1040332]
    + ImageMagick-CVE-2017-9144.patch
* Mon May 22 2017 pgajdos@suse.com
- security update:
  * CVE-2017-9098 [bsc#1040025]
    + ImageMagick-CVE-2017-9098.patch
* Tue May  2 2017 pgajdos@suse.com
- security update:
  * CVE-2017-8344 [bsc#1036978]
    + ImageMagick-CVE-2017-8344.patch
  * CVE-2017-8345, CVE-2017-8350 [bsc#1036980] [bsc#1036985]
    + ImageMagick-CVE-2017-8345,8350.patch
  * CVE-2017-8346 [bsc#1036981]
    + ImageMagick-CVE-2017-8346.patch
  * CVE-2017-8357 [bsc#1036976]
    + ImageMagick-CVE-2017-8357.patch
  * CVE-2017-8343 [bsc#1036977]
    + ImageMagick-CVE-2017-8343.patch
  * CVE-2017-8347 [bsc#1036982]
    + ImageMagick-CVE-2017-8347.patch
  * CVE-2017-8348 [bsc#1036983]
    + ImageMagick-CVE-2017-8348.patch
  * CVE-2017-8349 [bsc#1036984]
    + ImageMagick-CVE-2017-8349.patch
  * CVE-2017-8351 [bsc#1036986]
    + ImageMagick-CVE-2017-8351.patch
  * CVE-2017-8352 [bsc#1036987]
    + ImageMagick-CVE-2017-8352.patch
  * CVE-2017-8353 [bsc#1036988]
    + ImageMagick-CVE-2017-8353.patch
  * CVE-2017-8354 [bsc#1036989]
    + ImageMagick-CVE-2017-8354.patch
  * CVE-2017-8355 [bsc#1036990]
    + ImageMagick-CVE-2017-8355.patch
  * CVE-2017-8356 [bsc#1036991]
    + ImageMagick-CVE-2017-8356.patch
  * CVE-2017-7606 [bsc#1033091]
    + ImageMagick-CVE-2017-7606.patch
  * CVE-2017-8765 [bsc#1037527]
    + ImageMagick-CVE-2017-8765.patch
  * CVE-2017-8830 [bsc#1038000]
    + ImageMagick-CVE-2017-8830.patch
* Mon Apr 24 2017 pgajdos@suse.com
- security update:
  * CVE-2017-7943 [bsc#1034870]
    + ImageMagick-CVE-2017-7943.patch
  * CVE-2017-7942 [bsc#1034872]
    + ImageMagick-CVE-2017-7942.patch
  * CVE-2017-7941 [bsc#1034876]
    + ImageMagick-CVE-2017-7941.patch
* Tue Mar 21 2017 pgajdos@suse.com
- security update:
  * CVE-2017-6502 [bsc#1028075]
    + ImageMagick-CVE-2017-6502.patch
* Tue Jan 17 2017 pgajdos@suse.com
- security update:
  * CVE-2016-10049 [bsc#1017311]
    + ImageMagick-CVE-2016-10049.patch
  * CVE-2016-10050 [bsc#1017312]
    + ImageMagick-CVE-2016-10050.patch
  * CVE-2016-10051 [bsc#1017313]
    + ImageMagick-CVE-2016-10051.patch
  * CVE-2016-10052 [bsc#1017314]
    + ImageMagick-CVE-2016-10052.patch
  * CVE-2016-10144 [bsc#1020433]
    + ImageMagick-CVE-2016-10144.patch
  * CVE-2016-10145 [bsc#1020435]
    + ImageMagick-CVE-2016-10145.patch
  * CVE-2017-5506 [bsc#1020436]
    + ImageMagick-CVE-2017-5506.patch
  * CVE-2016-10059 [bsc#1017318]
    + ImageMagick-CVE-2016-10059.patch
  * CVE-2016-10046 [bsc#1017308]
    + ImageMagick-CVE-2016-10046.patch
  * CVE-2016-10048 [bsc#1017310]
    + ImageMagick-CVE-2016-10048.patch
  * CVE-2017-5508 [bsc#1020441]
    + ImageMagick-CVE-2017-5508.patch
  * CVE-2016-10146 [bsc#1020443]
    + ImageMagick-CVE-2016-10146.patch
  * CVE-2016-10063 [bsc#1017320]
    + ImageMagick-CVE-2016-10063.patch
  * CVE-2017-5510 [bsc#1020446]
    + ImageMagick-CVE-2017-5510.patch
  * CVE-2016-10065 [bsc#1017322]
    + ImageMagick-CVE-2016-10065.patch
  * CVE-2017-5511 [bsc#1020448]
    + ImageMagick-CVE-2017-5511.patch
* Tue Jan  3 2017 pgajdos@suse.com
- revert bogus ImageMagick-CVE-2016-9773.patch, ImageMagick-6 is
  not affected by CVE-2016-9773:
  http://www.imagemagick.org/discourse-server/viewtopic.php?t=31045
  [bsc#1017421]
* Mon Dec 12 2016 pgajdos@suse.com
- security update:
  * CVE-2016-8866 [bsc#1009318]
    + ImageMagick-CVE-2016-8866.patch
  * CVE-2016-9773 [bsc#1013376]
    + ImageMagick-CVE-2016-9773.patch
  * CVE-2016-8707 [bsc#1014159]
    + ImageMagick-CVE-2016-8707.patch
* Sun Dec  4 2016 pgajdos@suse.com
- turn of make check
- amend ImageMagick-CVE-2014-9848.patch to fix a regression
  discovered by one of the tests
* Mon Nov 28 2016 pgajdos@suse.com
- security update:
  * CVE-2016-9556 [bsc#1011130]
    + ImageMagick-CVE-2016-9556.patch
  * CVE-2016-9559 [bsc#1011136]
    + ImageMagick-CVE-2016-9559.patch
* Fri Nov 18 2016 rdodopoulos@suse.com
- update incomplete patch
  * CVE-2016-6823 [bsc#1001066]
    changed ImageMagick-CVE-2016-6823.patch
* Mon Nov 14 2016 pgajdos@suse.com
- renaming the patch for CVE-2015-8957 to declared name
* Wed Nov  9 2016 pgajdos@suse.com
- security update:
  * CVE-2016-8862 [bsc#1007245]
    + ImageMagick-CVE-2016-8862.patch
* Tue Oct 18 2016 pgajdos@suse.com
- security update:
  * CVE-2016-8684 [bsc#1005123]
    + ImageMagick-CVE-2016-8684.patch
  * CVE-2016-8682 [bsc#1005125]
    + ImageMagick-CVE-2016-8682.patch
  * CVE-2016-8683 [bsc#1005127]
    + ImageMagick-CVE-2016-8683.patch
  * CVE-2016-8677 [bsc#1005328]
    + ImageMagick-CVE-2016-8677.patch
* Mon Sep 26 2016 pgajdos@suse.com
- security update:
  * CVE-2016-7540 [bsc#1000394]
    + ImageMagick-CVE-2016-7540.patch
  * CVE-2016-7529 [bsc#1000399]
    + ImageMagick-CVE-2016-7529.patch
  * CVE-2016-7530 [bsc#1000399], [bsc#1000703]
    + ImageMagick-CVE-2016-7530.patch
  * CVE-2016-7528 [bsc#1000434]
    + ImageMagick-CVE-2016-7528.patch
  * CVE-2016-7513 [bsc#1000686]
    + ImageMagick-CVE-2016-7513.patch
  * CVE-2016-7526, CVE-2016-7527 [bsc#1000436]
    + ImageMagick-CVE-2016-7526.patch
    + ImageMagick-CVE-2016-7527.patch
  * CVE-2016-7514 [bsc#1000688]
    + ImageMagick-CVE-2016-7514.patch
  * CVE-2016-7515 [bsc#1000689]
    + ImageMagick-CVE-2016-7515.patch
  * CVE-2015-8957 [bsc#1000690]
    + ImageMagick-CVE-2015-8957.patch
  * CVE-2015-8958, CVE-2016-7518 [bsc#1000691] [bsc#1000694]
    + ImageMagick-CVE-2015-8958,CVE-2016-7518.patch
  * CVE-2016-7516 [bsc#1000692]
    + ImageMagick-CVE-2016-7516.patch
  * CVE-2016-7517 [bsc#1000693]
    + ImageMagick-CVE-2016-7517.patch
  * CVE-2016-7519 [bsc#1000695]
    + ImageMagick-CVE-2016-7519.patch
  * CVE-2016-7520 [bsc#1000696]
    + ImageMagick-CVE-2016-7520.patch
  * CVE-2016-7521 [bsc#1000697]
    + ImageMagick-CVE-2016-7521.patch
  * CVE-2016-7522 [bsc#1000698]
    + ImageMagick-CVE-2016-7522.patch
  * CVE-2016-7523 [bsc#1000699]
    + ImageMagick-CVE-2016-7523.patch
  * CVE-2016-7524 [bsc#1000700], CVE-2016-7800 [bsc#1002422]
    + ImageMagick-CVE-2016-7524,7800.patch
  * CVE-2016-7525 [bsc#1000701]
    + ImageMagick-CVE-2016-7525.patch
  * CVE-2016-7531 [bsc#1000704]
    + ImageMagick-CVE-2016-7531.patch
  * CVE-2016-7532 [bsc#1000706]
    + ImageMagick-CVE-2016-7532.patch
  * CVE-2016-7533 [bsc#1000707]
    + ImageMagick-CVE-2016-7533.patch
  * CVE-2016-7534 [bsc#1000708]
    + ImageMagick-CVE-2016-7534.patch
  * CVE-2016-7535 [bsc#1000709]
    + ImageMagick-CVE-2016-7535.patch
  * CVE-2016-7537 [bsc#1000711]
    + ImageMagick-CVE-2016-7537.patch
  * CVE-2016-7538 [bsc#1000712]
    + ImageMagick-CVE-2016-7538.patch
  * CVE-2015-8959 [bsc#1000713], CVD-2014-9907 [bsc#1000714]
  - ImageMagick-CVE-2016-5687.patch
    + ImageMagick-CVE-2016-5687,CVE-2015-8959,CVE-2014-9907.patch
  * CVE-2016-7539 [bsc#1000715]
    + ImageMagick-CVE-2016-7539.patch
  * CVE-2016-6823 [bsc#1001066]
    + ImageMagick-CVE-2016-6823.patch
  * CVE-2016-7101 [bsc#1001221]
    + ImageMagick-CVE-2016-7101.patch
  * do not divide by zero in WriteTIFFImage [bsc#1002206]
    + ImageMagick-write-tiff-div-by-zero.patch
  * fix buffer overflows [bsc#1002209]
    + ImageMagick-buffer-overflow-pdb,map,tiff.patch
  * CVE-2016-7799 [bsc#1002421]
    + ImageMagick-CVE-2016-7799.patch
  * CVE-2016-7996, CVE-2016-7997 [bsc#1003629]
    + ImageMagick-CVE-2016-7996,7997.patch
  * CVE-2016-10060 [bsc#1017319]
    + ImageMagick-CVE-2016-10060.patch
  * CVE-2016-10061 [bsc#1017319]
    + ImageMagick-CVE-2016-10061.patch
  * CVE-2016-10062 [bsc#1017319]
    + ImageMagick-CVE-2016-10062.patch
  * CVE-2016-10064 [bsc#1017321]
    + ImageMagick-CVE-2016-10064.patch
  * CVE-2016-10068 [bsc#1017324]
    + ImageMagick-CVE-2016-10068.patch
  * CVE-2016-10069 [bsc#1017325]
    + ImageMagick-CVE-2016-10069.patch
  * CVE-2016-10070 [bsc#1017326]
    + ImageMagick-CVE-2016-10070.patch
  * CVE-2016-10071 [bsc#1017326]
    + ImageMagick-CVE-2016-10071.patch
  * CVE-2017-5507 [bsc#1020439]
    + ImageMagick-CVE-2017-5507.patch
* Thu Aug  4 2016 pgajdos@suse.com
- security update:
  * CVE-2016-6520 [bsc#991872]
    + ImageMagick-CVE-2016-6520.patch
  * CVE-2016-5010 [bsc#991444]
    + ImageMagick-CVE-2016-5010.patch
  * CVE-2016-6491 [bsc#991445]
    + ImageMagick-CVE-2016-6491.patch
* Wed Jun 29 2016 pgajdos@suse.com
- security update:
  * CVE-2016-5841 [bsc#986609]
    + ImageMagick-CVE-2016-5841.patch
  * CVE-2016-5842 [bsc#986608]
    + ImageMagick-CVE-2016-5842.patc
* Tue Jun  7 2016 pgajdos@suse.com
- security update:
  * CVE-2015-8902 [bsc#983253]
    + ImageMagick-CVE-2015-8902.patch
  * CVE-2015-8901 [bsc#983234]
    + ImageMagick-CVE-2015-8901.patch
  * CVE-2015-8903 [bsc#983259]
    + ImageMagick-CVE-2015-8903.patch
  * CVE-2015-8900 [bsc#983232]
    + ImageMagick-CVE-2015-8900.patch
  * CVE-2016-4562, CVE-2016-4563, CVE-2016-4564 [bsc#983292]
    [bsc#983305] [bsc#983308]
    + ImageMagick-CVE-2016-4562,4563,4564.patch
  * CVE-2014-9846 [bsc#983521]
    + ImageMagick-CVE-2014-9846.patch
  * CVE-2015-8894 [bsc#983523]
    + ImageMagick-CVE-2015-8894.patch
  * CVE-2015-8895 [bsc#983527]
    + ImageMagick-CVE-2015-8895.patch
  * CVE-2015-8896 [bsc#983533]
    + ImageMagick-CVE-2015-8896.patch
  * CVE-2015-8897 [bsc#983739]
    + ImageMagick-CVE-2015-8897.patch
  * CVE-2015-8898 [bsc#983746]
    + ImageMagick-CVE-2015-8898.patch
  * CVE-2014-9805 [bsc#983752]
    + ImageMagick-CVE-2014-9805.patch
  * CVE-2014-9806 [bsc#983774]
    + ImageMagick-CVE-2014-9806.patch
  * CVE-2014-9807 [bsc#983794]
    + ImageMagick-CVE-2014-9807.patch
  * CVE-2014-9808 [bsc#983796]
    + ImageMagick-CVE-2014-9808.patch
  * CVE-2014-9809 [bsc#983799]
    + ImageMagick-CVE-2014-9809.patch
  * CVE-2014-9810 [bsc#983803]
    + ImageMagick-CVE-2014-9810.patch
  * CVE-2014-9821 [bsc#984014]
    + ImageMagick-CVE-2014-9821.patch
  * CVE-2014-9849 [bsc#984018]
    + ImageMagick-CVE-2014-9849.patch
  * CVE-2014-9836 [bsc#984023]
    + ImageMagick-CVE-2014-9836.patch
  * CVE-2014-9828 [bsc#984028]
    + ImageMagick-CVE-2014-9828.patch
  * CVE-2014-9813 [bsc#984035]
    + ImageMagick-CVE-2014-9813.patch
  * CVE-2014-9830 [bsc#984135]
    + ImageMagick-CVE-2014-9830.patch
  * CVE-2014-9811 [bsc#984032]
    + ImageMagick-CVE-2014-9811.patch
  * CVE-2014-9812 [bsc#984137]
    + ImageMagick-CVE-2014-9812.patch
  * CVE-2014-9819 [bsc#984142]
    + ImageMagick-CVE-2014-9819.patch
  * CVE-2014-9847 [bsc#984144]
    + ImageMagick-CVE-2014-9847.patch
  * CVE-2014-9835, CVE-2014-9831 [bsc#984145] [bsc#984375]
    + ImageMagick-CVE-2014-9835,9831.patch
  * CVE-2014-9850 [bsc#984149]
    + ImageMagick-CVE-2014-9850.patch
  * CVE-2014-9820 [bsc#984150]
    + ImageMagick-CVE-2014-9820.patch
  * CVE-2014-9851 [bsc#984160]
    + ImageMagick-CVE-2014-9851.patch
  * CVE-2014-9837 [bsc#984166]
    + ImageMagick-CVE-2014-9837.patch
  * CVE-2014-9841 [bsc#984172]
    + ImageMagick-CVE-2014-9841.patch
  * CVE-2014-9843 [bsc#984179]
    + ImageMagick-CVE-2014-9843.patch
  * CVE-2014-9818, CVE-2014-9826,CVE-2014-9829 [bsc#984181] [bsc#984186] [bsc#984409]
    + ImageMagick-CVE-2014-9818,9826,9829.patch
  * CVE-2014-9832 [bsc#984183]
    + ImageMagick-CVE-2014-9832.patch
  * CVE-2014-9854 [bsc#984184]
    + ImageMagick-CVE-2014-9854.patch
  * CVE-2014-9824 [bsc#984185]
    + ImageMagick-CVE-2014-9824.patch
  * CVE-2014-9822 [bsc#984187]
    + ImageMagick-CVE-2014-9822.patch
  * CVE-2014-9852 [bsc#984191]
    + ImageMagick-CVE-2014-9852.patch
  * CVE-2014-9814 [bsc#984193]
    + ImageMagick-CVE-2014-9814.patch
  * CVE-2014-9838 [bsc#984370]
    + ImageMagick-CVE-2014-9838.patch
  * CVE-2014-9815 [bsc#984372]
    + ImageMagick-CVE-2014-9815.patch
  * CVE-2014-9844 [bsc#984373]
    + ImageMagick-CVE-2014-9844.patch
  * CVE-2014-9842 [bsc#984374]
    + ImageMagick-CVE-2014-9842.patch
  * CVE-2014-9839 [bsc#984379]
    + ImageMagick-CVE-2014-9839.patch
  * CVE-2014-9845 [bsc#984394]
    + ImageMagick-CVE-2014-9845.patch
  * CVE-2014-9816 [bsc#984398]
    + ImageMagick-CVE-2014-9816.patch
  * CVE-2014-9817 [bsc#984400]
    + ImageMagick-CVE-2014-9817.patch
  * CVE-2014-9823 [bsc#984401]
    + ImageMagick-CVE-2014-9823.patch
  * CVE-2014-9848 [bsc#984404]
    + ImageMagick-CVE-2014-9848.patch
  * CVE-2014-9833, CVE-2014-9825 [bsc#984406] [bsc#984427]
    + ImageMagick-CVE-2014-9833,9825.patch
  * CVE-2014-9853 [bsc#984408]
    + ImageMagick-CVE-2014-9853.patch
  * CVE-2014-9840 [bsc#984433]
    + ImageMagick-CVE-2014-9840.patch
  * CVE-2014-9834 [bsc#984436]
    + ImageMagick-CVE-2014-9834.patch
  * CVE-2016-5688 [bsc#985442]
    + ImageMagick-CVE-2016-5688.patch
  * CVE-2016-5687 [bsc#985448]
    + ImageMagick-CVE-2016-5687.patch
  * CVE-2016-5691 [bsc#985456]
    + ImageMagick-CVE-2016-5691.patch
  * CVE-2016-5690 [bsc#985451]
    + ImageMagick-CVE-2016-5690.patch
  * CVE-2016-5689 [bsc#985460]
    + ImageMagick-CVE-2016-5689.patch
* Tue May 31 2016 pgajdos@suse.com
- security update:
  * CVE-2016-5118 [bsc#982178]
    + ImageMagick-CVE-2016-5118.patch
* Wed May  4 2016 sflees@suse.de
- Use external svg loader (rsvg)
- Disable insecure coders [bnc#978061]
  * ImageMagick-6.8.8-1-disable-insecure-coders.patch
  * CVE-2016-3714
  * CVE-2016-3715
  * CVE-2016-3716
  * CVE-2016-3717
  * CVE-2016-3718
* Tue Jan  5 2016 pgajdos@suse.com
- fix encoding of /Title in generated pdf [bnc#867943]
  + ImageMagick-pdf-title-encoding.patch
* Mon Oct 19 2015 pgajdos@suse.com
- fix default value of the image in pdf [bnc#950872]
* Tue Oct  6 2015 pgajdos@suse.com
- Leap: directories in libMagickCore depends on %%{clibver} and
  %%{quantum_depth} [bnc#948017]
* Thu Nov 13 2014 pgajdos@suse.com
- security update CVE-2014-8716 [bnc#905260]
  * ImageMagick-CVE-2014-8716.patch
* Tue Nov  4 2014 pgajdos@suse.com
- security update: CVE-2014-8354, CVE-2014-8355, CVE-2014-8562
  * ImageMagick-CVE-2014-8354.patch [bnc#903204]
  * ImageMagick-CVE-2014-8355.patch [bnc#903216]
  * ImageMagick-CVE-2014-8562.patch [bnc#903638]
* Fri Aug 29 2014 fcrozat@suse.com
- Fix license tag to comply with SPDX 1.2.
* Wed Jun 25 2014 pgajdos@suse.com
- fix `cat img | display` [bnc#882456]
- added patches:
  * ImageMagick-6.8.8.1-display-stdin.patch
* Thu Apr 24 2014 dmueller@suse.com
- remove dependency on gpg-offline (blocks rebuilds and
  tarball integrity is checked by source-validator anyway)
* Thu Feb 13 2014 pgajdos@suse.com
- modified patches [bnc#843673]:
  * disable_mat_test.patch -- rather than disable the test,
    use upstream solution (increase threshold for mean error)
  - - use this patch also for s390, s390x
* Wed Jan  8 2014 pgajdos@suse.com
- updated to 6.8.8-1:
  * Support points argument for draw MSL element.
  * The -page option now correctly sets the image page offset.
  * The -evaluate-sequence sum returns a proper alpha channel now.
  * etc. see ChangeLog
* Wed Jan  8 2014 coolo@suse.com
- really disable parallel build, don't just have a comment about it
* Wed Dec 18 2013 pgajdos@suse.com
- updated to 6.8.7-10:
  * fix crash when using -resize with GPU acceleration
* Mon Dec  9 2013 pgajdos@suse.com
- updated to 6.8.7-9:
  * fixed bug in coders/png.c that caused -define png:color-type=0
    to fail
  * fixed bug in automatic selection of OpenCL device
  * simplified interface to initialize the OpenCL environment
  * Fix possible memory corruption when writing PSD image
  * etc. see ChangeLog
* Mon Oct  7 2013 tom.mbrt@googlemail.com
- added openexr-devel as build requirement to enable openexr support
* Thu Oct  3 2013 pgajdos@suse.com
- use fdupes -s [bnc#841472]
* Wed Oct  2 2013 dvaleev@suse.com
- disable mat tests for powerpc bnc#843673 (disable_mat_test.patch)
* Wed Oct  2 2013 pgajdos@suse.com
- documentation back to -doc package (bnc#841472)
* Tue Oct  1 2013 coolo@suse.com
- fix baselibs.conf for previous change
* Mon Sep 30 2013 pgajdos@suse.com
- setting quantum depth to 16 [bnc#840825]
* Mon Sep 30 2013 pgajdos@suse.com
- fix build (find doesn't support -perm +mode)
* Thu Sep  5 2013 pgajdos@suse.com
- updated to 6.8.6-9
  * Fixed infinite loop with jpeg:extent.
  * Fixed performance issue when converting jpeg to png.
  * Added "-define bmp:format=bmp2|bmp3|bmp4" option.
  * etc. see ChangeLog
* Tue Aug  6 2013 pgajdos@suse.com
- updated to 6.8.6-7
  * Fix memory leak in CloneImageArtifacts and CloneImageProfiles.
  * JPEG ICC color profile requires null after ICC tag
  * etc.
- employ gpg-offline
* Mon Jun 17 2013 pgajdos@suse.com
- use AllCompliance instead of X11Compliance to cover also 'None'
  [bnc#825151]
  * adjusted no-XPMCompliance.patch
* Mon Jun  3 2013 pgajdos@suse.com
- mark no-XPMCompliance.patch as suse specific
  http://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=23462
* Thu May 23 2013 pgajdos@suse.com
- workaround: fix reading xpm which uses symbolic color names which
  are said to be not XPMCompliant
  * http://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=23462
* Tue May 21 2013 pgajdos@suse.com
- update to 6.8.5-7:
  * fixes reading XPM
* Mon May 13 2013 pgajdos@suse.com
- update to 6.8.5-6:
  * fixed 'Sometimes an sRGB image is masquerading as grayscale'
  * fixed 'The stream utility no longer faults when exporting float pixels'
  * Labels no longer overflow
  * Change the sample JPEG quantization table xml to something that works
    really well with 2x2 Chroma subsampling around quality 75.
  * Eliminate whitespace from image properties that hold PNG chunk data.
  * etc. see ChangeLog
- remove fix-wand.pc.patch, the issue is fixed upstream
- remove test-signatures.patch, the issue is fixed upstream
* Sun Apr  7 2013 coolo@suse.com
- add ImageMagick-6.8.4.0-fix-wand.pc.patch to fix build of e.g.
  emacs and xine-lib, who rely on pkg-config --libs Wand returning
  actually MagickWand and not MagickCore (looks like a copy&paste
  error of upstream)
* Fri Mar 29 2013 pgajdos@suse.com
- update to 6.8.4-0:
  * dropped ImageMagick-6.8.2.4-revert-r9087-montage-signatures.patch,
    issue is almost fixed -> new test-signatures.patch,
    see followups in
    http://www.imagemagick.org/discourse-server/viewtopic.php?f=2&t=22479
  * created rpath.patch
  * created dont-build-in-install.patch
- upstream changes
  * Do not write zero-length TIFF tags
  * Do not split words for caption
  * The -blur, -guassian-blur, and -sharpen are now convenience methods
    for -morphology convolve.
  * etc. see ChangeLog
* Sun Mar 24 2013 coolo@suse.com
- fix baselibs.conf
* Wed Feb 20 2013 pgajdos@suse.com
- use versioned /etc/ImageMagick* to allow parallel installation
  of libMagickCore
* Wed Feb  6 2013 vjt@openssl.it
- name library packages after the new -QN library names (thanks dstoecker)
- depend on newer libtiff
* Wed Feb  6 2013 vjt@openssl.it
- fix missed variable expansion
* Wed Feb  6 2013 vjt@openssl.it
- use a quantum depth of 8 for our package, as we do not require
  that amount of precision, and we prefer faster conversions with
  less heap usage.
* Wed Feb  6 2013 vjt@openssl.it
- updated to 6.8.2.4
  * Update libver to 7
  * Dropped upstreamed ImageMagick-uninitialized-memory.patch
  * Added ImageMagick-6.8.2.4-revert-r9087-montage-signatures.patch
    Related to GhostScript. Discussion:
    http://www.imagemagick.org/discourse-server/viewtopic.php?f=2&t=22479&p=95023
  * Add support for -QN library and .pc names, that express the
    pixel quantum depth the library was compiled with. Added an
    explicit spec variable for it
  * BuildRequire autoconf >= 2.69
* Tue Jan 15 2013 pgajdos@suse.com
- fix wrong mean-error output:
  http://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=22586
  * dropped disable-matlab-test.patch
  * added ImageMagick-uninitialized-memory.patch
* Thu Jan 10 2013 meissner@suse.com
- do not disable checking altogether.
- disable-matlab-test.patch: disable the 1 MATLAB testcase that fails.
* Thu Jan 10 2013 mrdocs@opensuse.org
- disable check for the moment, it breaks on Factory and 12.1, but
  12.2
* Tue Jan  8 2013 schuetzm@gmx.net
- enable support for Pango markup
  * this allows rendering formatted text with the pango:"..." syntax
    see http://www.imagemagick.org/Usage/text/#pango for details
  * to actually use this, libpango needs to be installed
* Tue Aug  7 2012 pgajdos@suse.com
- updated to 6.7.8.8:
  * Added 2d named convolution kernel Binomial (for Fred Wienhaus)
  * Clean up sigmoidal-contrast.
  * Use ConcatenateString() for multi-block GIF comments.
  * Caption no longer chops off text (reference
    http://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=21558).
  * Support LUV colorspace.
  * Support HCL colorspace.
  * Don't transform the composite image colorspace, set it instead.
  * Interpret -border 5%% as 5%% of width and 5%% of height (reference
    http://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=21537).
  * Don't normalize zero-sum kernels (reference
    http://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=21584).
  * Transform grayscale to linear RGB if fill color is non-gray (reference
    http://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=21586).
  etc. see ChangeLog
* Wed May 16 2012 pgajdos@suse.com
- updated to 6.7.6.9:
  * Don't write an invalid PNG sRGB chunk when rendering intent is undefined.
  * EXR images are in the linear RGB colorspace with a gamma of 1.0.
  * Correct annotation offset for right-to-left labels.
  * The -level 100x0%% now produces the equivalent of -negate.
  * etc., see ChangeLog
* Tue Mar 27 2012 pgajdos@suse.com
- cleanup the package
- updated to 6.7.6.1: fixes
  * CVE-2012-0247 [bnc#746880]
  * CVE-2012-0248 [bnc#746880]
  * CVE-2012-1185 [bnc#752879]
  * CVE-2012-1186 [bnc#752879]
* Fri Mar  9 2012 giecrilj@stegny.2a.pl
- moved the libtool archives to the main package
- separated the bulk documentation
- added a regression %%check for the locale comma crash
* Tue Feb 14 2012 cfarrell@suse.com
- license update: SUSE-ImageMagick
  Use SUSE- proprietary prefix until SPDX upstream accepts ImageMagick as
  license (e.g. like Fedora)
* Thu Jan 19 2012 pgajdos@suse.com
- ImageMagick-devel requires libbz2-devel [bnc#741947]
* Thu Jan 19 2012 pgajdos@suse.com
- update to 6.7.4.7:
  * Fixed -black-threshold and -white-threshold so they work properly with
    the -channels option
  * Promote image depths 9-15 to 16 to avoid crashing in the PNG
    encoder
  * Fix problems with JNG encoder "quality"
  * Fix memory leak in JP2 coder
  * Use maximum bounds when rendering PDF
  * etc. see ChangeLog
* Tue Jan 17 2012 crrodriguez@opensuse.org
- Add explicit libbz2-devel BuildRequires
- Support LZMA
- Use libcms2 now.
- Cleanup huge dependency bloat in -devel package, this
  will likely cause build fails on dependant packages
  the solution is to fix your BuildRequires.
* Mon Oct 31 2011 pgajdos@suse.com
- update to 6.7.3.3:
  * removed upstreamed scene.patch
* Tue Oct 18 2011 pgajdos@suse.com
- build against librsvg as recommended upstream [bnc#724222]
* Sat Oct 15 2011 coolo@suse.com
- add libtool as buildrequire to make the spec file more reliable
* Thu Oct  6 2011 pgajdos@suse.com
- fixed [bnc#717871] -- imagemagick display wrong order
  * scene.patch
* Tue Sep 20 2011 pgajdos@suse.com
- update to 6.7.2.7:
  * Fix memory leak in text annotation.
  * The "-strip" option was excluding the PNG tRNS chunk.
  * Caption now wraps properly for Chinese text.
  * The PNG encoder would sometimes fail to respect the -define
    PNG:color-type option when the incoming image was PseudoClass.
  * Properly handled continued JPEG embedded profiles.
  * Revert -colorspace sRGB option patch.
  * Revert -type PaletteMatte option patch.
  * etc. see ChangeLog.
- obsoletes reason-error-message.patch
* Sat Sep 17 2011 jengelh@medozas.de
- Remove redundant tags/sections from specfile
* Fri Sep 16 2011 jengelh@medozas.de
- Fix baselibs: add missing requires to ImageMagick-devel
- Remove redundant tags/sections
* Wed Sep  7 2011 pgajdos@suse.com
- fixed wrong error messages [bnc#673303]
* Fri Jul 29 2011 pgajdos@novell.com
- update to 6.7.1.0:
  * Defend against corrupt PSD resource blocks.
  * Properly allocate points when render text with large font size.
  * Added support for Z_RLE strategy in the png compressor, using
  - quality 98 or 99.
  * Handle "-quality 97" properly in the png encoder, i.e., use intrapixel
    filtering when writing a MNG file and no filtering when writing a PNG file.
  * Added "-define PNG:compression-level|strategy|filter=value" options to
    the PNG encoder.  If these options are used, they take precedence over
    the -quality option.
  * Use zlib default compression strategy instead of Z_RLE and Z_FIXED
    strategies when linking with zlib versions (prior to 1.2.0 and 1.2.2.2,
    respectively) that don't support them.
- switch on WEBP support -- require libwebp-devel to build
* Mon Jun 20 2011 pgajdos@novell.com
- updated to 6.7.0.8:
  * added Initial implementation of Cylinder to/from Plane 3D Distorts
    Includes deritive (scaled lookup), and anti-alised horizon (validity)
    Currently can NOT handle extractions from full 360 cylinder panoramas.
  * Fix transient error for composite over operator.
  * Fix one-off bug in option parser.
  * etc., see ChangeLog
- adjusted inc-struct.diff
* Fri May 27 2011 coolo@novell.com
- fix requires of -devel package
* Thu May 26 2011 coolo@novell.com
- remove the -fuse-linker-plugin option, it's default in gcc 4.6
  and only confuses scripts
* Tue May 24 2011 dimstar@opensuse.org
- Require ImageMagick from -devel subpackage: Packages that depend
  on the -devel package very likely use the tools too.
* Tue May 17 2011 pgajdos@suse.cz
- updated to 6.6.9.9:
  * The -scale option nows considers the alpha channel when scaling.
  * Don't use comma as a separator for stroked tex.
  * Fix transient bug for HSL to RGB and back.
  * Fixed PNG8 reduction to work with an image that reduces to 256 colors
    plus transparency, by merging the two darkest red colors.
  * etc., see ChangeLog
* Sun May  8 2011 giecrilj@stegny.2a.pl
- created ImageMagick-devel-32bit for cross-compiling
* Thu Apr 21 2011 giecrilj@stegny.2a.pl
- updated to 6.6.9.5: fixes [Bug 682238]
  * macroized and cleaned up scripts
  * added conditions for optional components
  * updated file lists for upstream
  * cleaned up the include tree in devel (patch)
* Mon Apr 11 2011 pgajdos@suse.cz
- updated to 6.6.8.9: fixes [bnc#682238]
  * config files moved to /etc/ImageMagick*
  * see ChangeLog for more details
* Wed Feb 23 2011 pgajdos@suse.cz
- updated to 6.6.7.9: fixes [bnc#673789]
  * removed survive-exif.patch
* Mon Feb 21 2011 jw@novell.com
- added patch for crash reading png with exif
  [bnc#673789]
* Mon Feb 14 2011 pgajdos@suse.cz
- packaged README.txt from xtp [bnc#671047]
* Mon Dec  6 2010 coolo@novell.com
- fix build for factory
* Mon Nov 15 2010 pgajdos@suse.cz
- updated to 6.6.5-8: don't read config files from $CWD
  [bnc#653572]
* Thu Nov  4 2010 pgajdos@suse.cz
- updated to 6.6.5-5:
  * Revised PNG palette optimization
  * Added some debug logging in coders/png.c.
  * More precise blur values for Lanczos2Sharp and LanczosSharp.
  * Added location of first Mitchell crossing (=8/7) to the filters data
    structure.
  * Added Lanczos2D* filters now named Lanczos2*
  * Reorganization of AcquireFilter() to make it work better
  * Clearer EWA filters (LanczosSharp etc) comments.
  * Added LanczosSharp  (3-lobe Lanczos with sharpening)
  * Filter sharpening factors are also always applied regardless of usage.
  * CubicBC filter formulas simplified by constant folding. In
    particular, P1 coefficient (always zero) removed from coeff.
  * Revert the Robidoux filter to a Keys cubic with C=(108 sqrt 2-29)/398
    (as already specified in the documentation).
  * Ignore PS bounding box offsets if -page is set.
  * Add support for -evaluate exp.
* Fri Oct 15 2010 pgajdos@novell.com
- updated to 6.6.5-0:
  * Added "filter:sigma" expert setting defining the 'sigma' for the Gaussian
    filter only.  This is similar in action to 'blur' but only for Gaussians,
    and does not modify the filters support, allowing you to set a very small
    sigma, without the function 'missing' all pixels.
  * Patch for  DrawableRotation() and DrawableTranslation()
  * The webp format requires the webpconv delegate program (experimental).
  * Replaced "Robidoux" with Cubic 'Keys' filter that is near equivelent to
    the previous sharped "Lanczos2D" filter. (C=0.31089212245300069)
    This also is very similer to a Mitchell filter but specifically designed
    for EWA use and is the new default filter for Distorting Images.
  * Added new filter 'Lanczos2D' a 2-lobe Lanczos as defined by
    Andreas Gustafsson in his thesis  "Interactive Image Warping" (page 24)
    http://www.gson.org/thesis/warping-thesis.pdf
  * Added filter "Robidoux" which is a slightly sharpened version of the
    "Lanczos2D" filter (blur=0.958033808) specifically designed to be less
    'blurry' for horizontal and vertical lines in no-op distortions.
  * Add support for "pattern:vertical2" and "pattern:horizontal2".
  * Add support for "pattern:vertical3" and "pattern:horizontal3".
  * Properly handle PSD layers with negative offsets.
  * Added sqrt(2) bluring default for Gaussian Filter if used as
    a Cylindrical EWA filter.  This resulted removing the last aliasing
    issue that was present in tests for Gaussian EWA resampling. Of course
    it is still a very blury filter for default use in EWA.
  * Adjusted Variable Mapping Blur Composition so user arguments actual
    relate properly to the sigma of the blur for a maximum mapping value.
  * Fix horizon anti-alising for output-scaled perspective distortions.
  * 'Bessel' filter is now offically and more accuritally named 'Jinc'
    however 'Bessel' while not visible as a filter option can still be used
    as an internal alias for 'Jinc'.
  * Fix memory assertion with --enable-embeddable (reference
    http://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=17201).
  * Don't permit access to pixels when pinging an image (reference
    http://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=17194).
* Tue Oct  5 2010 pgajdos@novell.com
- updated to 6.6.4-8:
  * Automatically set the quantum depth to 16 for HDRI.
  * IPTC profile not always wrapped properly inside an 8BIM profile.
  * TIFF tile geometry must be divisible by 16.
  * Rename of SincPolynomial to SincFast for easier user understanding.
    Ditto for LanczosChebyshev to LanzcosFast.
  * Switch default resize filters to using the faster SincPolynomial
    filter by default internally.  However 'Sinc' will still use the
    Trigonometric function, and can be used to assign the trig version
    of Sinc() to filters using the filter expert options.
  * The default filter for 'distort' was found to be a very blurry inaccurate
    filter function.  It was removed and replaced with a correct Gaussian
    filter (as used by resize)
  * Added a switch so that "-interpolate filter" will force the use of
    a cylindrical filter for ALL pixels in distorted images.  That is you can
    use that switch to use a cylindrical filter even for images that are
    being enlarged by the distortion.  However EWA is still currently using
    a fixed 2.0 sampling radius.  This switch complements the use of "-filter
    point" which turns off EWA filters in favor of interpolation for all
    pixels in a distorted image.  BOTH switches should not be used together.
  * A bug in the support radius of the EWA resampling function was found,
    now that correctly defined resize filters are being used. Suddenly Normal
    Gaussian distortions are not so blurry, and tests with distortions of
    the 'Rings' image show extremely good and clear results, with only minimal
    blurring.  The filter 'blur' expert option can be used to adjust this
    further.
  * Don't negate the geometry offset for the -extent option.
  * The RGBO format is now listed as a supported format.
  * Added the Nicolas Robidoux and Chantal Racette  Lanczos resize filter
    function as "LanczosChebyshev" as faster alternative to Lanczos.
  * Re-code Nicolas Robidoux and Chantal Racette Polynomial Approximation of
    the Sinc Trigonometric resize filter, as a proper filter to allow
    direct comparision and speed testing of the filter.
  * Expanded the "-set option:filter:verbose 1" output, so as to also include
    the actual functions and other values that were used to create the filter.
* Tue Sep  7 2010 pgajdos@suse.cz
- updated to 6.6.4-0:
  * Repair a few incorrect LocaleNCompare() calls (ttf.c, ps.c).
  * Path no longer closed if join style is round (reference
    http://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=16943).
  * Add case for BGRQuantum to GetQuantumExtent().
  * Support no compression on PCX write.
  * Fixed bug in the raw BGRA coders (reference
    http://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=16880).
  * Fix off-by-one error in the PSD coders.
  * Nicolas Robidoux with the assistance of Chantal Racette contribute an
    approximation of the sinc function over the interval [-3,3].
  * Eliminate a small memory leak in LevelizeImageChannel() (reference
    http://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=16951).
  * Recognize -fx logtwo (reference
    http://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=16958).
* Tue Aug 24 2010 pgajdos@suse.cz
- updated to 6.6.3-9:
  * Eliminate useless message about assuming zero delay when writing
    a single-frame MNG, and changed it from Error to Warning when
    writing a multiple-frame MNG.
  * Only use the first alpha channel in PSD image.
  * Only use XPM complying colors for XPM images (e.g. green is rgb(0,255,0)).
  * Eliminate bogus "invalid colormap index" when pinging ICO images.
  * Support -set density / units.
  * Properly map PNG intent to image->rendering_intent
  * The orient option sometimes improperly set "undefined" (reference
    http://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=16795).
  * Only list orientation options for the -list orientation option (reference
    http://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=16801).
  * Return proper standard deviation for combined channels (reference
    http://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=16786).
  * Handle transparency properly for the PSD image format.
  * Emit a warning if the PNG encoder can't satisfy the color type and
    bit depth requested with a "-define" directive.
  * The -fx 2e+6/1e+5 argument no longer returns the wrong results (reference
    http://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=16833).
  * Add -subimage-search option to the compare utility.
  * Throw exception if image size differs for the compare program but the
  - subimage-search option is not specified.
* Mon Aug  2 2010 coolo@novell.com
- update baselibs.conf
* Thu Jul 29 2010 pgajdos@suse.cz
- updated to 6.6.3-1:
  * obsoletes units.patch
  * obsoletes grayscale-tiff-jpeg.patch
* Tue Jun 22 2010 pgajdos@suse.cz
- fixed jpeg compression of grayscale tif format [bnc#615223]
* Mon May 10 2010 aj@suse.de
- Do not compile in build time but use mtime of changes file instead.
  This allows build-compare to identify that no changes have happened.
* Mon Apr 26 2010 pgajdos@suse.cz
- fixed units in the output [bnc#598714]
  * units.patch
* Wed Apr  7 2010 ro@suse.de
- update baselibs.conf
* Tue Apr  6 2010 pgajdos@suse.cz
- updated to version 6.6.1-0:
  * Fixed bug in equal-size tile cropping, when image has a page offset.
  * The -recolor 4x4 matrix is now interpretted properly (previously it
    summed rather attenuating the alpha channel).
  * Support writing 1-bit PSD images.
  * Support LCMS 2.0.
  * Improved WMF support under Windows.
  * The new coders/png.c was failing to read a 1-bit paletted image properly.
  * Finished eliminating the deprecated direct references to members of
    the png_info structure. ImageMagick can now be built with libpng-1.5.
  * Respect the -density option when rendering a Postscript or PDF image.
  * Distort barrel no longer complains when 3 arguments are given (reference
    http://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=15883).
  * Support -direction left-to-right option for rendering text
  * coders/png.c: Eliminated support of libpng versions older than 1.0.12.
  * Relocated the new, misplaced png_get_rowbytes() call.
  * Updated setjmp/longjmp/jmpbuf usage to work with libpng-1.5.
  * Add support for monochrome PSD images.
  * VignetteImage() no longer crashes when x and y arguments are both greater
    than half the width (x) and height (y) of the image.
  * Eliminated some of the deprecated direct references to members of
    the png_info structure.  This must be finished before we can build
    with libpng-1.5.
  * The animate program no longer loops twice when -loop 1 is specified.
  * The caption format would sometimes hang when the text was not UTF-8.
  * Don't gamma correct log to linear color conversion unless the -gamma is
    specified (reference
    http://www.imagemagick.org/discourse-server/viewtopic.php?f=1&t=15799).
  * Detect CMYKProcessColor AI tag.
  * Delete image from command line cache for -write option.
  * Add support for the Adobe Large Document format.
  * Recognize -remap option for the mogrify utility.
  * The default Helvetica font is not always available, check for
    Century Schoolbook too (reference
    http://www.imagemagick.org/discourse-server/viewtopic.php?f=2&t=15780).
* Mon Mar 15 2010 pgajdos@suse.cz
- updated to version 6.6.0-5:
  * Permit user to get virtual pixels with a region width of 0.
  * Reformulate the jinc() functio  so that the main peak is of amplitude of 1.
  * Resampling filter must respect the image virtual pixel method.
  * The -evaluate-sequence option behaves like -evaluate except it operates
    on a sequence of images.
  * Add support for the Adobe Large Document format.
  * Add support for the -maximum and -minimum options.
  * Check to see if ICON image width /height exceeds that of the image canvas.
  * Set the DPX descriptor to Luma only if the image type is not TrueColor.
  * Add support for -fx airy(), j0(), j1(), jinc(), and sinc() (reference
    http://www.imagemagick.org/discourse-server/viewtopic.php?f=2&t=15685).
  * Don't embed an XMP profile in an EPS image for now.
  * Insufficient image data in EPT is a warning rather than an error.
  * Respect -type TrueColor when writing gray DPX images.
  * Fix problem reading 10-bit grayscale DPX images when scanline length is
    not a multiple of 3.
  * BMP has an alpha channel, it was treated as an opacity channel.
  * Write 10-bit grayscale DPX images properly.
  * Detect PDF ICCBased colorspace.
  * Finalized -set option:convolve:scale  kernel normalize/scale option
  * TransformImage() resets the image blob when called in the PICT decoder;
    use SetImageExtent() instead.
  * Support PSD RLE compression.
  * The jpeg:extent define sometimes exceeded the specified limit.
  * Resolve "too many open files"  (reference
    http://www.imagemagick.org/discourse-server/viewtopic.php?f=3&t=15546).
  * Added Correlate method which does a Convolve without reflecting the kernel.
  * Initialize grayscale colormap for PSD images.
  * Addition Third-level Subtractive Morphology Methods:
    EdgeIn, EdgeOut, Edge, TopHat, BottomHat
  * Ensuring original kernels passed to morphology are cloned before being
    modifified for use by specific methods (EG: convolve scale/normalize)
  * display -immutable to display transparent image without a checkboard.
  * Make -define png:color-type less persnickity about what it will accept.
  * added use of -precision in 'showkernel' output of -morphology
  * correct use of a 'reflected kernel' for 'Convolve' 'Dilate' and
    'Distance' Morphology primatives. This does not have a performance hit,
    though is only truely applicable when the kernel is asymmetric.  Note that
    'Erode' does not use a 'reflected' kernel, so that 'Open' and 'Close'
    operations work properly.  This 'reflected usage is defined by online
    morphology lecture notes (Google for "EECE Binary Morphology")
  * Added convolve kernel scaling setting "-set option:convolve:scale N"
    If undefined morphology convolve does not do any scaling or normalization
    of the convolution kernel.  A value of 0.0 causes normalization for both
    zero and non-zero (added weights) kernel types.
  * Speed up reading the PSD image format.
  * Add the -precision option.  Use it to set the maximum number of significant
    digits to be printed.
  * Add -features option to the identify program to display channel features.
  * Add -unique option to the identify program to display channel features.
  * Add support for compact floating point (i.e. -depth 16 -define
    quantum:format=floating-point).
  * Transparent images no longer flicker on certain system when using the
    display program.
  * Permit interactive resizing with the display program.
  * Support heterogeneous distributed processing, see
    http://www.imagemagick.org/script/architecture.php#distributed.
  * Fix semaphore assertion when reading a corrupt image with Magick++.
  * Add support for -brightness-contrast option.
  * Add support for the BGRA raw image format.
  * Added Kernel Generator to generate kernels from user strings, which
    allows the generation in many built in kernels for both Convolution
    and other Morphological methods.  New Kernels currently include..
    Convolution: Gaussian, Blur, Comet
    Morphological: Rectangle, Square, Diamond, Disk, Plus
    Distance: Chebyshev, Manhatten, Knight, Euclidean
    And both old and new (rectangular) user defined kernel specifications
    including the use of 'nan' to represent elements which are not part
    of the kernel definition.  List built-in kernel types use "-list kernel"
  * Added -morphology {method}[:{iteration}] {kernel_string}
    Initial methods includes no only the basic morphology methods: Dilate,
    Erode, Open, Close; and a pixel color preserving 'Intensity' version, but
    also the special methods: Convolve, and Distance.  Of course the
    appropriate kernel should be provided for each specific method.
  * Add OpenCL-enabled filter (e.g.  convert image.png -process
    "convolve '-1, -1, -1, -1, 9, -1, -1, -1, -1'" image.jpg).
  * Added StringTo...() processing functions
* Mon Feb 15 2010 pgajdos@suse.cz
- don't remove *.la files, see [bnc#579798]
* Tue Feb  9 2010 prusnak@suse.cz
- build -doc subpackage as noarch
- spec cleanup
* Mon Jan 11 2010 pgajdos@suse.cz
- updated to 6.5.8-9, which fixes [bnc#565014]
* Wed Jan  6 2010 jengelh@medozas.de
- package baselibs.conf
* Mon Nov 23 2009 pgajdos@suse.cz
- updated to 6.5.7-9 (See ChangeLog)
* Tue Nov  3 2009 coolo@novell.com
- updated patches to apply with fuzz=0
* Mon Aug 24 2009 pgajdos@suse.cz
- splitted out doc package, see [bnc#533439]
* Tue Aug  4 2009 pgajdos@suse.cz
- updated to version 6.5.4-8 (See ChangeLog)
* Thu Jul 30 2009 ro@suse.de
- update baselibs.conf to complete previous change
* Fri Jun  5 2009 nadvornik@suse.cz
- updated to 6.5.3-2:
  * shared library version increased from 1 to 2
  * subpackages renamed accordingly
  * includes a fix for bnc#507728
* Fri Jan 23 2009 nadvornik@suse.cz
- backported fix for race condition [bnc#465967]
* Fri Dec  5 2008 nadvornik@suse.cz
- fixed fontconfig detection [bnc#441874]
* Mon Dec  1 2008 ro@suse.de
- add libMagicWand1 to baselibs.conf (for libxine1)
* Tue Oct  7 2008 thoenig@suse.de
- add baselibs.conf (libMagickCore1) required by libfprint0-32bit
* Wed Sep 10 2008 nadvornik@suse.cz
- update to 6.4.3-6, see ChangeLog for details
* Wed Apr  9 2008 nadvornik@suse.cz
- update to 6.4.0-4, see ChangeLog for details
  * mostly bugfixes
* Mon Apr  7 2008 schwab@suse.de
- Fix PRNG.
* Sat Mar 29 2008 coolo@suse.de
- fix requires
* Wed Mar 26 2008 nadvornik@suse.cz
- updated to 6.3.9-7, see ChangeLog for details
  * renamed shared library subpackages:
    libMagick10 -> libMagickCore1
    libWand10 -> libMagickWand1
    libMagick++10 -> libMagick++1
  * read EXIF data in TIFF images
  * add -encipher / -decipher options to the command-line utilities
  * many bugfixes and improvements
* Mon Dec  3 2007 nadvornik@suse.cz
- fixed BuildRequires
* Fri Nov 30 2007 nadvornik@suse.cz
- updated to 6.3.7-2, see ChangeLog for details
  * fixes conflicts in header files [#340485]
* Mon Oct  8 2007 pth@suse.de
- Add libMagick10 to Requires of perl-PerlMagick (#331611)
* Tue Sep 25 2007 nadvornik@suse.cz
- updated to 6.3.5-10: fixes CVE-2007-4985, CVE-2007-4986,
  CVE-2007-4987, CVE-2007-4988 [#327021]
* Fri Aug  3 2007 coolo@suse.de
- fix provides for ImageMagick-Magick++ (#293401)
* Sat Jul 28 2007 coolo@suse.de
- remove requires on ImageMagick-Magick++
* Wed Jul 25 2007 nadvornik@suse.cz
- updated to 6.3.5-3, see ChangeLog for details
- reduced the requrements of the main package,
  created ImageMagick-extra with full set of requirements
- adjusted to Shared Library Policy:
  * created libMagick10 and libWand10
  * renamed ImageMagick-Magick++ -> libMagick++10
  * renamed ImageMagick-Magick++-devel -> libMagick++-devel
* Thu Apr 19 2007 nadvornik@suse.cz
- updated to 6.3.3-8, see ChangeLog for details
- fixed various crashes on malformed input, including
  CVE-2007-1797 and CVE-2007-1667 [#258253]
- do not build static libs
- adjusted BuildRequires for libjasper-devel
* Tue Feb 27 2007 dmueller@suse.de
- adjust BuildRequires: libexif -> libexif-devel
* Mon Feb 19 2007 mvaner@suse.cz
- Array boundaries fix in bezier path (#243280)
  - bezier-array.patch
* Mon Oct 30 2006 nadvornik@suse.cz
- fixed overflows in dcm and palm codecs CVE-2006-5456 [#215685]
* Wed Oct 18 2006 postadal@suse.cz
- disabled -fstack-protector for %%suse_version <= 1000
* Tue Oct 17 2006 nadvornik@suse.cz
- updated to 1.3.0-0
  * enhanced -fx
  * many bugfixes, see ChangeLog
* Thu Jul 13 2006 nadvornik@suse.cz
- updated to 1.2.8-1
  * security fixes merged upstream
  * fixed compilation with new libpng
  * many other fixes
* Wed Mar 15 2006 nadvornik@suse.cz
- fixed rpath in perl module
* Fri Feb  3 2006 nadvornik@suse.cz
- better fix for format string vulnerability
  CVE-2006-0082 [#141390]
- fixed shell metacharacters in file names passed into delegates
  CVE-2005-4601 [#141999]
- added version numbers to devel subpackage requirements
* Wed Jan 25 2006 mls@suse.de
- converted neededforbuild to BuildRequires
* Mon Jan 16 2006 meissner@suse.de
- Use -fstack-protector.
* Tue Dec 20 2005 nadvornik@suse.cz
- updated to 6.2.5
* Wed Sep 21 2005 nadvornik@suse.cz
- updated to 6.2.4
* Sat Sep 17 2005 postadal@suse.cz
- parallelize build
* Wed Sep  7 2005 nadvornik@suse.cz
- fixed URL in man pages [#115568]
* Thu Jul 21 2005 nadvornik@suse.cz
- moved .la files back to main package, they are needed for runtime
* Fri Jul 15 2005 nadvornik@suse.cz
- updated to 6.2.3
- fixed incorrect char type usage [#95086]
* Tue May  3 2005 nadvornik@suse.cz
- updated to 6.2.2, fixes crash in PNM reader [#80428]
* Wed Mar  9 2005 nadvornik@suse.cz
- fixed format string vulnerability [#67273]
* Wed Mar  2 2005 nadvornik@suse.cz
- linked PerlMagick correcly
- added xorg-x11-devel to requires of devel subpackage
* Sat Jan 22 2005 ro@suse.de
- fix libltdl removal on lib64
* Tue Jan 18 2005 nadvornik@suse.cz
- updated to 6.1.8
  * fixed .psd file read overflow (CAN-2005-0005) [#49839]
* Mon Nov  1 2004 nadvornik@suse.cz
- fixed integer overflow in EXIF handling [#47745]
* Tue Sep 14 2004 nadvornik@suse.cz
- branched new subpackage ImageMagick-Magick++-devel [#45245]
* Tue Sep 14 2004 nadvornik@suse.cz
- removed Requires: ImageMagick-devel from ImageMagick-Magick++ [#45245]
* Tue Sep  7 2004 nadvornik@suse.cz
- updated to 6.0.7
  * fixed possible miscompilation of included headers
  * fixed PerlMagick's Profile crash [#44710]
  * other bugfixes
* Tue Aug 31 2004 nadvornik@suse.cz
- updated to 6.0.6-2:
  * fixed decoding runlength-encoded BMP [#44081]
  * enabled LZW compression
* Mon Aug  9 2004 ro@suse.de
- fix build with current automake
* Mon Jun 28 2004 nadvornik@suse.cz
- updated to 6.0.2
* Fri Mar 26 2004 nadvornik@suse.cz
- adjusted default fonts
* Fri Feb  6 2004 nadvornik@suse.cz
- update to 5.5.7-16
- added run_ldconfig macro
- build as user
* Tue Sep  9 2003 nadvornik@suse.cz
- fixed annotate function [29748]
* Mon Sep  8 2003 nadvornik@suse.cz
- fixed reading of tiff images [#25552]
* Thu Aug 28 2003 nadvornik@suse.cz
- fixed output from Magick++-config --version
- compiled with -fno-strict-aliasing
* Wed Aug 20 2003 mjancar@suse.cz
- require the perl version we build with
* Tue Jul 29 2003 nadvornik@suse.cz
- lib64 fixed
- filelist fixed
* Fri Jul 25 2003 nadvornik@suse.cz
- updated to 5.5.7-10
- used perl_process_packlist
* Mon Feb 10 2003 nadvornik@suse.cz
- updated to 5.5.4-4:
  - fixed bug [#23111]
- copied ltdl sources from libtool package
* Thu Dec 19 2002 adrian@suse.de
- add liblcms-devel to #neededforbuild
* Thu Nov 21 2002 nadvornik@suse.cz
- updated to 5.5.1
* Wed Nov 20 2002 ro@suse.de
- fix build with latest automake
* Fri Nov  1 2002 nadvornik@suse.cz
- fixed detection of lpr [#21187]
- fixed to compile with new libjasper
* Tue Sep  3 2002 nadvornik@suse.cz
- do not try to detect supported ghostscript devices [#18424]
* Thu Aug 29 2002 nadvornik@suse.cz
- fixed typo in delegates.mgk
* Sat Aug 10 2002 kukuk@suse.de
- Fix filelist for threaded perl
* Fri Jul 26 2002 adrian@suse.de
- fix neededforbuild
* Fri Jul 26 2002 nadvornik@suse.cz
- update to 5.4.7-4
* Tue Jul  2 2002 nadvornik@suse.cz
- update to 5.4.7
* Fri May  3 2002 meissner@suse.de
- %%_lib fixes
* Wed Mar  6 2002 nadvornik@suse.cz
- added symlink index.html->ImageMagick.html in doc directory
* Mon Feb  4 2002 nadvornik@suse.cz
- update to 5.4.2-3, xtp updated to 5.4.3
* Thu Jan 31 2002 ro@suse.de
- changed neededforbuild <libpng> to <libpng-devel-packages>
* Thu Jan 17 2002 nadvornik@suse.cz
- html files installed correctly
* Tue Jan 15 2002 nadvornik@suse.cz
- update to 5.4.2:
  - new scripting language utility, conjure
* Mon Dec  3 2001 nadvornik@suse.cz
- update to 5.4.1:
  - better SVG support
  - changed default background color to none
  - eliminated the libMagick.so dependancy on libtiff, libpng, libjpeg
  - coders/wmf.c updated for libwmf 0.2
* Thu Oct 18 2001 nadvornik@suse.cz
- update to 5.4.0:
  - Text drawing now handles UTF8-encoding
  - Added a MATLAB encoder
  - Uses SHA instead of MD5 for image signatures
* Fri Aug 24 2001 nadvornik@suse.cz
- update to 5.3.8:
  - Added a new method SetImageClipMask().
  - Added @ to the image geometry specification. Use it to specify
    the square-root of the maximum area in pixels of an image
  - many bugfixes
* Tue Aug 21 2001 nadvornik@suse.cz
- removed wv-devel from neededforbuild, it is no longer needed
- fixed segfault in svg converting
- fixed doc installation
* Wed Aug 15 2001 nadvornik@suse.cz
- compiled with libjasper
* Tue Jul 24 2001 nadvornik@suse.cz
- update to 5.3.7
* Fri Jul 20 2001 kukuk@suse.de
- changed neededforbuild <gs_fonto> to <ghostscript-fonts-other>
- changed neededforbuild <gs_fonts> to <ghostscript-fonts-std>
- changed neededforbuild <gs_lib> to <ghostscript-library>
- changed neededforbuild <gs_serv> to <ghostscript-serv>
* Wed Jun 27 2001 nadvornik@suse.cz
- update to 5.3.6
- dropped ImageMagick-pictures subpackage
* Tue Jun 12 2001 nadvornik@suse.cz
- update to 5.3.5
- fixed to compile with new autoconf
* Tue Apr 17 2001 kukuk@suse.de
- Remove magickcpp_version macro
* Thu Apr  5 2001 nadvornik@suse.cz
- updated to 5.3.1
* Tue Mar 27 2001 ro@suse.de
- libtoolize main dir as well
* Mon Mar 26 2001 ro@suse.de
- libtoolize
* Fri Mar  9 2001 nadvornik@suse.cz
- updated to 5.3.0
- fixed neededforbuild
* Mon Feb 19 2001 nadvornik@suse.cz
- fixed filelist
* Tue Feb 13 2001 nadvornik@suse.cz
- update to 5.2.9
* Tue Dec 12 2000 nadvornik@suse.cz
- compiled with option --with-threads
* Tue Dec  5 2000 nadvornik@suse.cz
- update to 5.2.6
- now uses freetype2
* Thu Nov 16 2000 nadvornik@suse.cz
- update to 5.2.5
* Tue Nov 14 2000 nadvornik@suse.cz
- fixed writing transparent xpm files
* Wed Nov  8 2000 nadvornik@suse.cz
- changed to long names
-    imagemag -> ImageMagick
-    magickd  -> ImageMagick-devel
-    magickpp -> ImageMagick-Magick++
-    plmagick -> perl-PerlMagick
-    impict   -> ImageMagick-pictures
* Wed Oct 18 2000 nadvornik@suse.cz
- update to 5.2.4
- compiled with --with-modules
* Mon Sep 18 2000 nadvornik@suse.cz
- fixed usage of suse_update_config
* Thu Sep 14 2000 nadvornik@suse.cz
- drop subpackage imfilm, removed povray from neededforbuild
- povray scripts are now in /usr/share/doc/imagemag/scenes
* Thu Sep 14 2000 nadvornik@suse.cz
- update to 5.2.3
- new subpackage magickd for includes and static libs
- changed prefix to /usr
- removed --without-largefiles
* Tue Aug 22 2000 ro@suse.de
- fixed perl path
* Thu Jun  8 2000 nadvornik@suse.cz
- update to latest source from ftp
- added source url
* Tue Jun  6 2000 nadvornik@suse.cz
- images, scenes -> /usr/share/ImageMagick
- doc -> %%{_defaultdocdir}/imagemag
* Mon Jun  5 2000 nadvornik@suse.cz
- used --without-largefiles
* Thu Jun  1 2000 nadvornik@suse.cz
- xtp updated to 5.2.0
* Mon May 29 2000 nadvornik@suse.cz
- updated to 5.2.0
* Fri May 19 2000 nadvornik@suse.cz
- used %%{_defaultdocdir}
- changed group
* Fri Apr 28 2000 nadvornik@suse.cz
- fixed to compile with xf86-4.0
* Mon Apr 10 2000 nadvornik@suse.cz
- added URL
* Fri Apr  7 2000 bk@suse.de
- added suse config update macro
* Thu Apr  6 2000 nadvornik@suse.cz
- update to 5.1.1
- added BuildRoot
* Wed Jan 19 2000 ro@suse.de
- fixed specfile
* Mon Jan  3 2000 ro@suse.de
- update to 5.1.0
* Mon Sep 27 1999 bs@suse.de
- fixed requirements for sub packages
* Mon Sep 13 1999 bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Wed Sep  1 1999 ro@suse.de
- update to 4.2.9
* Mon Jun 28 1999 ro@suse.de
- update to 4.2.7
* Wed May 19 1999 ro@suse.de
- fixed path in specfile
* Wed May 19 1999 ro@suse.de
- fixed specfile
* Tue May 18 1999 ro@suse.de
- update to 4.2.5
- new subpackage: magickpp (aka Magick++) a C++-API for libmagick
* Fri Feb 19 1999 ro@suse.de
- update to 4.2.0
* Mon Jan 18 1999 bs@suse.de
- set libraries to 755
* Wed Jan 13 1999 ro@suse.de
- update to 4.1.7 / PerlMagick 1.58
* Mon Dec 14 1998 ro@suse.de
- update to 4.1.6
- disabled unix98/ptys in configure.in
* Tue Dec  1 1998 ro@suse.de
- update to 4.1.5 / PerlMagick 1.53
* Tue Nov 17 1998 ro@suse.de
- update to 4.1.4
- switched to use configure instead of imake
* Mon Aug 17 1998 ro@suse.de
- update to 4.0.9
* Fri Aug 14 1998 ro@suse.de
- fixed online documentation
  /usr/doc/packages/ImageMagick/ImageMagick.html is start page
- added new subpackage PerlMagick "plmagick"
* Thu Aug 13 1998 ro@suse.de
- update to 4.0.8
  fixed default for printCommand in Display with a app-defaults file
* Mon Jun 29 1998 ro@suse.de
- update to version 4.0.7
  needs libpng-1.0.1 (and povray built with that version)
* Tue Apr  7 1998 ro@suse.de
- update to version 4.0.4
  added freetype support
  needs libpng-1.0.1 (and povray built with that version)
* Sun Mar  1 1998 ro@suse.de
- update to version 4.0.1
* Sun Nov 16 1997 ro@suse.de
- fixed Symlink /usr/doc/packages/ImageMagick
* Fri Nov 14 1997 ro@suse.de
- new version 3.9.2
* Tue Nov 11 1997 ro@suse.de
- imfilm and impict are built from same specfile
* Mon Nov  3 1997 ro@suse.de
- ready for autobuild
